unit cmaps;
//
// Copyright (c) 2008,2009 J C Large - W6CQZ
//
//
// JT65-HF is the legal property of its developer.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; see the file COPYING. If not, write to
// the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
// Boston, MA 02110-1301, USA.
//
{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils;

procedure buildCMaps();

Var
   bluecmap1         : Array[0..255] of single;
   bluecmap2         : Array[0..255] of single;
   bluecmap3         : Array[0..255] of single;

   linradcmap1       : Array[0..255] of single;
   linradcmap2       : Array[0..255] of single;
   linradcmap3       : Array[0..255] of single;

   gray0cmap1        : Array[0..255] of single;
   gray0cmap2        : Array[0..255] of single;
   gray0cmap3        : Array[0..255] of single;

   gray1cmap1        : Array[0..255] of single;
   gray1cmap2        : Array[0..255] of single;
   gray1cmap3        : Array[0..255] of single;

implementation

procedure buildCMaps();
Begin
bluecmap1[0] := 0.0;
bluecmap2[0] := 0.0;
bluecmap3[0] := 0.0;
bluecmap1[1] := 0.0902;
bluecmap2[1] := 0.0902;
bluecmap3[1] := 0.2558;
bluecmap1[2] := 0.1176;
bluecmap2[2] := 0.1176;
bluecmap3[2] := 0.2694;
bluecmap1[3] := 0.1412;
bluecmap2[3] := 0.1412;
bluecmap3[3] := 0.2820;
bluecmap1[4] := 0.1569;
bluecmap2[4] := 0.1569;
bluecmap3[4] := 0.2938;
bluecmap1[5] := 0.1725;
bluecmap2[5] := 0.1725;
bluecmap3[5] := 0.3049;
bluecmap1[6] := 0.1843;
bluecmap2[6] := 0.1843;
bluecmap3[6] := 0.3154;
bluecmap1[7] := 0.1961;
bluecmap2[7] := 0.1961;
bluecmap3[7] := 0.3254;
bluecmap1[8] := 0.2039;
bluecmap2[8] := 0.2039;
bluecmap3[8] := 0.3349;
bluecmap1[9] := 0.2157;
bluecmap2[9] := 0.2157;
bluecmap3[9] := 0.3440;
bluecmap1[10] := 0.2235;
bluecmap2[10] := 0.2235;
bluecmap3[10] := 0.3528;
bluecmap1[11] := 0.2314;
bluecmap2[11] := 0.2314;
bluecmap3[11] := 0.3612;
bluecmap1[12] := 0.2392;
bluecmap2[12] := 0.2392;
bluecmap3[12] := 0.3693;
bluecmap1[13] := 0.2471;
bluecmap2[13] := 0.2471;
bluecmap3[13] := 0.3772;
bluecmap1[14] := 0.2549;
bluecmap2[14] := 0.2549;
bluecmap3[14] := 0.3848;
bluecmap1[15] := 0.2588;
bluecmap2[15] := 0.2588;
bluecmap3[15] := 0.3921;
bluecmap1[16] := 0.2667;
bluecmap2[16] := 0.2667;
bluecmap3[16] := 0.3992;
bluecmap1[17] := 0.2706;
bluecmap2[17] := 0.2706;
bluecmap3[17] := 0.4061;
bluecmap1[18] := 0.2784;
bluecmap2[18] := 0.2784;
bluecmap3[18] := 0.4129;
bluecmap1[19] := 0.2824;
bluecmap2[19] := 0.2824;
bluecmap3[19] := 0.4194;
bluecmap1[20] := 0.2902;
bluecmap2[20] := 0.2902;
bluecmap3[20] := 0.4258;
bluecmap1[21] := 0.2941;
bluecmap2[21] := 0.2941;
bluecmap3[21] := 0.4319;
bluecmap1[22] := 0.2980;
bluecmap2[22] := 0.2980;
bluecmap3[22] := 0.4380;
bluecmap1[23] := 0.3059;
bluecmap2[23] := 0.3059;
bluecmap3[23] := 0.4439;
bluecmap1[24] := 0.3098;
bluecmap2[24] := 0.3098;
bluecmap3[24] := 0.4496;
bluecmap1[25] := 0.3137;
bluecmap2[25] := 0.3137;
bluecmap3[25] := 0.4553;
bluecmap1[26] := 0.3176;
bluecmap2[26] := 0.3176;
bluecmap3[26] := 0.4608;
bluecmap1[27] := 0.3216;
bluecmap2[27] := 0.3216;
bluecmap3[27] := 0.4661;
bluecmap1[28] := 0.3294;
bluecmap2[28] := 0.3294;
bluecmap3[28] := 0.4714;
bluecmap1[29] := 0.3333;
bluecmap2[29] := 0.3333;
bluecmap3[29] := 0.4765;
bluecmap1[30] := 0.3373;
bluecmap2[30] := 0.3373;
bluecmap3[30] := 0.4815;
bluecmap1[31] := 0.3412;
bluecmap2[31] := 0.3412;
bluecmap3[31] := 0.4865;
bluecmap1[32] := 0.3451;
bluecmap2[32] := 0.3451;
bluecmap3[32] := 0.4913;
bluecmap1[33] := 0.3490;
bluecmap2[33] := 0.3490;
bluecmap3[33] := 0.4960;
bluecmap1[34] := 0.3529;
bluecmap2[34] := 0.3529;
bluecmap3[34] := 0.5006;
bluecmap1[35] := 0.3569;
bluecmap2[35] := 0.3569;
bluecmap3[35] := 0.5052;
bluecmap1[36] := 0.3608;
bluecmap2[36] := 0.3608;
bluecmap3[36] := 0.5096;
bluecmap1[37] := 0.3647;
bluecmap2[37] := 0.3647;
bluecmap3[37] := 0.5140;
bluecmap1[38] := 0.3686;
bluecmap2[38] := 0.3686;
bluecmap3[38] := 0.5183;
bluecmap1[39] := 0.3725;
bluecmap2[39] := 0.3725;
bluecmap3[39] := 0.5225;
bluecmap1[40] := 0.3765;
bluecmap2[40] := 0.3765;
bluecmap3[40] := 0.5266;
bluecmap1[41] := 0.3804;
bluecmap2[41] := 0.3804;
bluecmap3[41] := 0.5306;
bluecmap1[42] := 0.3843;
bluecmap2[42] := 0.3843;
bluecmap3[42] := 0.5346;
bluecmap1[43] := 0.3843;
bluecmap2[43] := 0.3843;
bluecmap3[43] := 0.5385;
bluecmap1[44] := 0.3882;
bluecmap2[44] := 0.3882;
bluecmap3[44] := 0.5423;
bluecmap1[45] := 0.3922;
bluecmap2[45] := 0.3922;
bluecmap3[45] := 0.5460;
bluecmap1[46] := 0.3961;
bluecmap2[46] := 0.3961;
bluecmap3[46] := 0.5497;
bluecmap1[47] := 0.4000;
bluecmap2[47] := 0.4000;
bluecmap3[47] := 0.5533;
bluecmap1[48] := 0.4039;
bluecmap2[48] := 0.4039;
bluecmap3[48] := 0.5569;
bluecmap1[49] := 0.4078;
bluecmap2[49] := 0.4078;
bluecmap3[49] := 0.5603;
bluecmap1[50] := 0.4118;
bluecmap2[50] := 0.4118;
bluecmap3[50] := 0.5638;
bluecmap1[51] := 0.4118;
bluecmap2[51] := 0.4118;
bluecmap3[51] := 0.5671;
bluecmap1[52] := 0.4157;
bluecmap2[52] := 0.4157;
bluecmap3[52] := 0.5704;
bluecmap1[53] := 0.4196;
bluecmap2[53] := 0.4196;
bluecmap3[53] := 0.5736;
bluecmap1[54] := 0.4235;
bluecmap2[54] := 0.4235;
bluecmap3[54] := 0.5768;
bluecmap1[55] := 0.4275;
bluecmap2[55] := 0.4275;
bluecmap3[55] := 0.5799;
bluecmap1[56] := 0.4314;
bluecmap2[56] := 0.4314;
bluecmap3[56] := 0.5829;
bluecmap1[57] := 0.4314;
bluecmap2[57] := 0.4314;
bluecmap3[57] := 0.5859;
bluecmap1[58] := 0.4353;
bluecmap2[58] := 0.4353;
bluecmap3[58] := 0.5889;
bluecmap1[59] := 0.4392;
bluecmap2[59] := 0.4392;
bluecmap3[59] := 0.5917;
bluecmap1[60] := 0.4431;
bluecmap2[60] := 0.4431;
bluecmap3[60] := 0.5946;
bluecmap1[61] := 0.4471;
bluecmap2[61] := 0.4471;
bluecmap3[61] := 0.5973;
bluecmap1[62] := 0.4471;
bluecmap2[62] := 0.4471;
bluecmap3[62] := 0.6001;
bluecmap1[63] := 0.4510;
bluecmap2[63] := 0.4510;
bluecmap3[63] := 0.6027;
bluecmap1[64] := 0.4549;
bluecmap2[64] := 0.4549;
bluecmap3[64] := 0.6053;
bluecmap1[65] := 0.4588;
bluecmap2[65] := 0.4588;
bluecmap3[65] := 0.6079;
bluecmap1[66] := 0.4627;
bluecmap2[66] := 0.4627;
bluecmap3[66] := 0.6104;
bluecmap1[67] := 0.4627;
bluecmap2[67] := 0.4627;
bluecmap3[67] := 0.6129;
bluecmap1[68] := 0.4667;
bluecmap2[68] := 0.4667;
bluecmap3[68] := 0.6153;
bluecmap1[69] := 0.4706;
bluecmap2[69] := 0.4706;
bluecmap3[69] := 0.6176;
bluecmap1[70] := 0.4745;
bluecmap2[70] := 0.4745;
bluecmap3[70] := 0.6199;
bluecmap1[71] := 0.4745;
bluecmap2[71] := 0.4745;
bluecmap3[71] := 0.6222;
bluecmap1[72] := 0.4784;
bluecmap2[72] := 0.4784;
bluecmap3[72] := 0.6244;
bluecmap1[73] := 0.4824;
bluecmap2[73] := 0.4824;
bluecmap3[73] := 0.6266;
bluecmap1[74] := 0.4863;
bluecmap2[74] := 0.4863;
bluecmap3[74] := 0.6287;
bluecmap1[75] := 0.4863;
bluecmap2[75] := 0.4863;
bluecmap3[75] := 0.6308;
bluecmap1[76] := 0.4902;
bluecmap2[76] := 0.4902;
bluecmap3[76] := 0.6328;
bluecmap1[77] := 0.4941;
bluecmap2[77] := 0.4941;
bluecmap3[77] := 0.6348;
bluecmap1[78] := 0.4980;
bluecmap2[78] := 0.4980;
bluecmap3[78] := 0.6367;
bluecmap1[79] := 0.5020;
bluecmap2[79] := 0.5020;
bluecmap3[79] := 0.6386;
bluecmap1[80] := 0.5020;
bluecmap2[80] := 0.5020;
bluecmap3[80] := 0.6404;
bluecmap1[81] := 0.5059;
bluecmap2[81] := 0.5059;
bluecmap3[81] := 0.6422;
bluecmap1[82] := 0.5098;
bluecmap2[82] := 0.5098;
bluecmap3[82] := 0.6440;
bluecmap1[83] := 0.5098;
bluecmap2[83] := 0.5098;
bluecmap3[83] := 0.6457;
bluecmap1[84] := 0.5137;
bluecmap2[84] := 0.5137;
bluecmap3[84] := 0.6474;
bluecmap1[85] := 0.5176;
bluecmap2[85] := 0.5176;
bluecmap3[85] := 0.6490;
bluecmap1[86] := 0.5216;
bluecmap2[86] := 0.5216;
bluecmap3[86] := 0.6506;
bluecmap1[87] := 0.5216;
bluecmap2[87] := 0.5216;
bluecmap3[87] := 0.6521;
bluecmap1[88] := 0.5255;
bluecmap2[88] := 0.5255;
bluecmap3[88] := 0.6536;
bluecmap1[89] := 0.5294;
bluecmap2[89] := 0.5294;
bluecmap3[89] := 0.6551;
bluecmap1[90] := 0.5333;
bluecmap2[90] := 0.5333;
bluecmap3[90] := 0.6565;
bluecmap1[91] := 0.5333;
bluecmap2[91] := 0.5333;
bluecmap3[91] := 0.6578;
bluecmap1[92] := 0.5373;
bluecmap2[92] := 0.5373;
bluecmap3[92] := 0.6591;
bluecmap1[93] := 0.5412;
bluecmap2[93] := 0.5412;
bluecmap3[93] := 0.6604;
bluecmap1[94] := 0.5451;
bluecmap2[94] := 0.5451;
bluecmap3[94] := 0.6617;
bluecmap1[95] := 0.5451;
bluecmap2[95] := 0.5451;
bluecmap3[95] := 0.6629;
bluecmap1[96] := 0.5490;
bluecmap2[96] := 0.5490;
bluecmap3[96] := 0.6640;
bluecmap1[97] := 0.5529;
bluecmap2[97] := 0.5529;
bluecmap3[97] := 0.6651;
bluecmap1[98] := 0.5569;
bluecmap2[98] := 0.5569;
bluecmap3[98] := 0.6662;
bluecmap1[99] := 0.5569;
bluecmap2[99] := 0.5569;
bluecmap3[99] := 0.6672;
bluecmap1[100] := 0.5608;
bluecmap2[100] := 0.5608;
bluecmap3[100] := 0.6682;
bluecmap1[101] := 0.5647;
bluecmap2[101] := 0.5647;
bluecmap3[101] := 0.6692;
bluecmap1[102] := 0.5647;
bluecmap2[102] := 0.5647;
bluecmap3[102] := 0.6701;
bluecmap1[103] := 0.5686;
bluecmap2[103] := 0.5686;
bluecmap3[103] := 0.6710;
bluecmap1[104] := 0.5725;
bluecmap2[104] := 0.5725;
bluecmap3[104] := 0.6718;
bluecmap1[105] := 0.5765;
bluecmap2[105] := 0.5765;
bluecmap3[105] := 0.6726;
bluecmap1[106] := 0.5765;
bluecmap2[106] := 0.5765;
bluecmap3[106] := 0.6733;
bluecmap1[107] := 0.5804;
bluecmap2[107] := 0.5804;
bluecmap3[107] := 0.6740;
bluecmap1[108] := 0.5843;
bluecmap2[108] := 0.5843;
bluecmap3[108] := 0.6747;
bluecmap1[109] := 0.5843;
bluecmap2[109] := 0.5843;
bluecmap3[109] := 0.6753;
bluecmap1[110] := 0.5882;
bluecmap2[110] := 0.5882;
bluecmap3[110] := 0.6759;
bluecmap1[111] := 0.5922;
bluecmap2[111] := 0.5922;
bluecmap3[111] := 0.6765;
bluecmap1[112] := 0.5961;
bluecmap2[112] := 0.5961;
bluecmap3[112] := 0.6770;
bluecmap1[113] := 0.5961;
bluecmap2[113] := 0.5961;
bluecmap3[113] := 0.6774;
bluecmap1[114] := 0.6000;
bluecmap2[114] := 0.6000;
bluecmap3[114] := 0.6779;
bluecmap1[115] := 0.6039;
bluecmap2[115] := 0.6039;
bluecmap3[115] := 0.6783;
bluecmap1[116] := 0.6039;
bluecmap2[116] := 0.6039;
bluecmap3[116] := 0.6786;
bluecmap1[117] := 0.6078;
bluecmap2[117] := 0.6078;
bluecmap3[117] := 0.6789;
bluecmap1[118] := 0.6118;
bluecmap2[118] := 0.6118;
bluecmap3[118] := 0.6792;
bluecmap1[119] := 0.6157;
bluecmap2[119] := 0.6157;
bluecmap3[119] := 0.6794;
bluecmap1[120] := 0.6157;
bluecmap2[120] := 0.6157;
bluecmap3[120] := 0.6796;
bluecmap1[121] := 0.6196;
bluecmap2[121] := 0.6196;
bluecmap3[121] := 0.6798;
bluecmap1[122] := 0.6235;
bluecmap2[122] := 0.6235;
bluecmap3[122] := 0.6799;
bluecmap1[123] := 0.6235;
bluecmap2[123] := 0.6235;
bluecmap3[123] := 0.6800;
bluecmap1[124] := 0.6275;
bluecmap2[124] := 0.6275;
bluecmap3[124] := 0.6800;
bluecmap1[125] := 0.6314;
bluecmap2[125] := 0.6314;
bluecmap3[125] := 0.6800;
bluecmap1[126] := 0.6353;
bluecmap2[126] := 0.6353;
bluecmap3[126] := 0.6799;
bluecmap1[127] := 0.6353;
bluecmap2[127] := 0.6353;
bluecmap3[127] := 0.6799;
bluecmap1[128] := 0.6392;
bluecmap2[128] := 0.6392;
bluecmap3[128] := 0.6797;
bluecmap1[129] := 0.6431;
bluecmap2[129] := 0.6431;
bluecmap3[129] := 0.6796;
bluecmap1[130] := 0.6431;
bluecmap2[130] := 0.6431;
bluecmap3[130] := 0.6794;
bluecmap1[131] := 0.6471;
bluecmap2[131] := 0.6471;
bluecmap3[131] := 0.6791;
bluecmap1[132] := 0.6510;
bluecmap2[132] := 0.6510;
bluecmap3[132] := 0.6789;
bluecmap1[133] := 0.6549;
bluecmap2[133] := 0.6549;
bluecmap3[133] := 0.6785;
bluecmap1[134] := 0.6549;
bluecmap2[134] := 0.6549;
bluecmap3[134] := 0.6782;
bluecmap1[135] := 0.6588;
bluecmap2[135] := 0.6588;
bluecmap3[135] := 0.6778;
bluecmap1[136] := 0.6627;
bluecmap2[136] := 0.6627;
bluecmap3[136] := 0.6773;
bluecmap1[137] := 0.6627;
bluecmap2[137] := 0.6627;
bluecmap3[137] := 0.6769;
bluecmap1[138] := 0.6667;
bluecmap2[138] := 0.6667;
bluecmap3[138] := 0.6763;
bluecmap1[139] := 0.6706;
bluecmap2[139] := 0.6706;
bluecmap3[139] := 0.6758;
bluecmap1[140] := 0.6745;
bluecmap2[140] := 0.6745;
bluecmap3[140] := 0.6752;
bluecmap1[141] := 0.6745;
bluecmap2[141] := 0.6745;
bluecmap3[141] := 0.6746;
bluecmap1[142] := 0.6784;
bluecmap2[142] := 0.6784;
bluecmap3[142] := 0.6739;
bluecmap1[143] := 0.6824;
bluecmap2[143] := 0.6824;
bluecmap3[143] := 0.6732;
bluecmap1[144] := 0.6824;
bluecmap2[144] := 0.6824;
bluecmap3[144] := 0.6724;
bluecmap1[145] := 0.6863;
bluecmap2[145] := 0.6863;
bluecmap3[145] := 0.6716;
bluecmap1[146] := 0.6902;
bluecmap2[146] := 0.6902;
bluecmap3[146] := 0.6708;
bluecmap1[147] := 0.6941;
bluecmap2[147] := 0.6941;
bluecmap3[147] := 0.6699;
bluecmap1[148] := 0.6941;
bluecmap2[148] := 0.6941;
bluecmap3[148] := 0.6690;
bluecmap1[149] := 0.6980;
bluecmap2[149] := 0.6980;
bluecmap3[149] := 0.6680;
bluecmap1[150] := 0.7020;
bluecmap2[150] := 0.7020;
bluecmap3[150] := 0.6670;
bluecmap1[151] := 0.7020;
bluecmap2[151] := 0.7020;
bluecmap3[151] := 0.6660;
bluecmap1[152] := 0.7059;
bluecmap2[152] := 0.7059;
bluecmap3[152] := 0.6649;
bluecmap1[153] := 0.7098;
bluecmap2[153] := 0.7098;
bluecmap3[153] := 0.6638;
bluecmap1[154] := 0.7098;
bluecmap2[154] := 0.7098;
bluecmap3[154] := 0.6626;
bluecmap1[155] := 0.7137;
bluecmap2[155] := 0.7137;
bluecmap3[155] := 0.6614;
bluecmap1[156] := 0.7176;
bluecmap2[156] := 0.7176;
bluecmap3[156] := 0.6601;
bluecmap1[157] := 0.7216;
bluecmap2[157] := 0.7216;
bluecmap3[157] := 0.6589;
bluecmap1[158] := 0.7216;
bluecmap2[158] := 0.7216;
bluecmap3[158] := 0.6575;
bluecmap1[159] := 0.7255;
bluecmap2[159] := 0.7255;
bluecmap3[159] := 0.6561;
bluecmap1[160] := 0.7294;
bluecmap2[160] := 0.7294;
bluecmap3[160] := 0.6547;
bluecmap1[161] := 0.7294;
bluecmap2[161] := 0.7294;
bluecmap3[161] := 0.6533;
bluecmap1[162] := 0.7333;
bluecmap2[162] := 0.7333;
bluecmap3[162] := 0.6518;
bluecmap1[163] := 0.7373;
bluecmap2[163] := 0.7373;
bluecmap3[163] := 0.6502;
bluecmap1[164] := 0.7412;
bluecmap2[164] := 0.7412;
bluecmap3[164] := 0.6486;
bluecmap1[165] := 0.7412;
bluecmap2[165] := 0.7412;
bluecmap3[165] := 0.6470;
bluecmap1[166] := 0.7451;
bluecmap2[166] := 0.7451;
bluecmap3[166] := 0.6453;
bluecmap1[167] := 0.7490;
bluecmap2[167] := 0.7490;
bluecmap3[167] := 0.6436;
bluecmap1[168] := 0.7490;
bluecmap2[168] := 0.7490;
bluecmap3[168] := 0.6418;
bluecmap1[169] := 0.7529;
bluecmap2[169] := 0.7529;
bluecmap3[169] := 0.6400;
bluecmap1[170] := 0.7569;
bluecmap2[170] := 0.7569;
bluecmap3[170] := 0.6382;
bluecmap1[171] := 0.7608;
bluecmap2[171] := 0.7608;
bluecmap3[171] := 0.6363;
bluecmap1[172] := 0.7608;
bluecmap2[172] := 0.7608;
bluecmap3[172] := 0.6343;
bluecmap1[173] := 0.7647;
bluecmap2[173] := 0.7647;
bluecmap3[173] := 0.6324;
bluecmap1[174] := 0.7686;
bluecmap2[174] := 0.7686;
bluecmap3[174] := 0.6303;
bluecmap1[175] := 0.7686;
bluecmap2[175] := 0.7686;
bluecmap3[175] := 0.6282;
bluecmap1[176] := 0.7725;
bluecmap2[176] := 0.7725;
bluecmap3[176] := 0.6261;
bluecmap1[177] := 0.7765;
bluecmap2[177] := 0.7765;
bluecmap3[177] := 0.6239;
bluecmap1[178] := 0.7804;
bluecmap2[178] := 0.7804;
bluecmap3[178] := 0.6217;
bluecmap1[179] := 0.7804;
bluecmap2[179] := 0.7804;
bluecmap3[179] := 0.6194;
bluecmap1[180] := 0.7843;
bluecmap2[180] := 0.7843;
bluecmap3[180] := 0.6171;
bluecmap1[181] := 0.7882;
bluecmap2[181] := 0.7882;
bluecmap3[181] := 0.6147;
bluecmap1[182] := 0.7882;
bluecmap2[182] := 0.7882;
bluecmap3[182] := 0.6123;
bluecmap1[183] := 0.7922;
bluecmap2[183] := 0.7922;
bluecmap3[183] := 0.6098;
bluecmap1[184] := 0.7961;
bluecmap2[184] := 0.7961;
bluecmap3[184] := 0.6073;
bluecmap1[185] := 0.8000;
bluecmap2[185] := 0.8000;
bluecmap3[185] := 0.6047;
bluecmap1[186] := 0.8000;
bluecmap2[186] := 0.8000;
bluecmap3[186] := 0.6021;
bluecmap1[187] := 0.8039;
bluecmap2[187] := 0.8039;
bluecmap3[187] := 0.5994;
bluecmap1[188] := 0.8078;
bluecmap2[188] := 0.8078;
bluecmap3[188] := 0.5967;
bluecmap1[189] := 0.8078;
bluecmap2[189] := 0.8078;
bluecmap3[189] := 0.5939;
bluecmap1[190] := 0.8118;
bluecmap2[190] := 0.8118;
bluecmap3[190] := 0.5911;
bluecmap1[191] := 0.8157;
bluecmap2[191] := 0.8157;
bluecmap3[191] := 0.5882;
bluecmap1[192] := 0.8196;
bluecmap2[192] := 0.8196;
bluecmap3[192] := 0.5853;
bluecmap1[193] := 0.8196;
bluecmap2[193] := 0.8196;
bluecmap3[193] := 0.5823;
bluecmap1[194] := 0.8235;
bluecmap2[194] := 0.8235;
bluecmap3[194] := 0.5792;
bluecmap1[195] := 0.8275;
bluecmap2[195] := 0.8275;
bluecmap3[195] := 0.5761;
bluecmap1[196] := 0.8275;
bluecmap2[196] := 0.8275;
bluecmap3[196] := 0.5729;
bluecmap1[197] := 0.8314;
bluecmap2[197] := 0.8314;
bluecmap3[197] := 0.5697;
bluecmap1[198] := 0.8353;
bluecmap2[198] := 0.8353;
bluecmap3[198] := 0.5664;
bluecmap1[199] := 0.8392;
bluecmap2[199] := 0.8392;
bluecmap3[199] := 0.5630;
bluecmap1[200] := 0.8392;
bluecmap2[200] := 0.8392;
bluecmap3[200] := 0.5596;
bluecmap1[201] := 0.8431;
bluecmap2[201] := 0.8431;
bluecmap3[201] := 0.5561;
bluecmap1[202] := 0.8471;
bluecmap2[202] := 0.8471;
bluecmap3[202] := 0.5525;
bluecmap1[203] := 0.8471;
bluecmap2[203] := 0.8471;
bluecmap3[203] := 0.5489;
bluecmap1[204] := 0.8510;
bluecmap2[204] := 0.8510;
bluecmap3[204] := 0.5452;
bluecmap1[205] := 0.8549;
bluecmap2[205] := 0.8549;
bluecmap3[205] := 0.5414;
bluecmap1[206] := 0.8588;
bluecmap2[206] := 0.8588;
bluecmap3[206] := 0.5376;
bluecmap1[207] := 0.8588;
bluecmap2[207] := 0.8588;
bluecmap3[207] := 0.5337;
bluecmap1[208] := 0.8627;
bluecmap2[208] := 0.8627;
bluecmap3[208] := 0.5297;
bluecmap1[209] := 0.8667;
bluecmap2[209] := 0.8667;
bluecmap3[209] := 0.5257;
bluecmap1[210] := 0.8667;
bluecmap2[210] := 0.8667;
bluecmap3[210] := 0.5215;
bluecmap1[211] := 0.8706;
bluecmap2[211] := 0.8706;
bluecmap3[211] := 0.5173;
bluecmap1[212] := 0.8745;
bluecmap2[212] := 0.8745;
bluecmap3[212] := 0.5130;
bluecmap1[213] := 0.8784;
bluecmap2[213] := 0.8784;
bluecmap3[213] := 0.5086;
bluecmap1[214] := 0.8784;
bluecmap2[214] := 0.8784;
bluecmap3[214] := 0.5042;
bluecmap1[215] := 0.8824;
bluecmap2[215] := 0.8824;
bluecmap3[215] := 0.4996;
bluecmap1[216] := 0.8863;
bluecmap2[216] := 0.8863;
bluecmap3[216] := 0.4950;
bluecmap1[217] := 0.8863;
bluecmap2[217] := 0.8863;
bluecmap3[217] := 0.4902;
bluecmap1[218] := 0.8902;
bluecmap2[218] := 0.8902;
bluecmap3[218] := 0.4854;
bluecmap1[219] := 0.8941;
bluecmap2[219] := 0.8941;
bluecmap3[219] := 0.4804;
bluecmap1[220] := 0.8980;
bluecmap2[220] := 0.8980;
bluecmap3[220] := 0.4754;
bluecmap1[221] := 0.8980;
bluecmap2[221] := 0.8980;
bluecmap3[221] := 0.4702;
bluecmap1[222] := 0.9020;
bluecmap2[222] := 0.9020;
bluecmap3[222] := 0.4649;
bluecmap1[223] := 0.9059;
bluecmap2[223] := 0.9059;
bluecmap3[223] := 0.4595;
bluecmap1[224] := 0.9098;
bluecmap2[224] := 0.9098;
bluecmap3[224] := 0.4540;
bluecmap1[225] := 0.9098;
bluecmap2[225] := 0.9098;
bluecmap3[225] := 0.4484;
bluecmap1[226] := 0.9137;
bluecmap2[226] := 0.9137;
bluecmap3[226] := 0.4426;
bluecmap1[227] := 0.9176;
bluecmap2[227] := 0.9176;
bluecmap3[227] := 0.4366;
bluecmap1[228] := 0.9176;
bluecmap2[228] := 0.9176;
bluecmap3[228] := 0.4306;
bluecmap1[229] := 0.9216;
bluecmap2[229] := 0.9216;
bluecmap3[229] := 0.4243;
bluecmap1[230] := 0.9255;
bluecmap2[230] := 0.9255;
bluecmap3[230] := 0.4179;
bluecmap1[231] := 0.9294;
bluecmap2[231] := 0.9294;
bluecmap3[231] := 0.4114;
bluecmap1[232] := 0.9294;
bluecmap2[232] := 0.9294;
bluecmap3[232] := 0.4046;
bluecmap1[233] := 0.9333;
bluecmap2[233] := 0.9333;
bluecmap3[233] := 0.3977;
bluecmap1[234] := 0.9373;
bluecmap2[234] := 0.9373;
bluecmap3[234] := 0.3905;
bluecmap1[235] := 0.9373;
bluecmap2[235] := 0.9373;
bluecmap3[235] := 0.3831;
bluecmap1[236] := 0.9412;
bluecmap2[236] := 0.9412;
bluecmap3[236] := 0.3754;
bluecmap1[237] := 0.9451;
bluecmap2[237] := 0.9451;
bluecmap3[237] := 0.3675;
bluecmap1[238] := 0.9490;
bluecmap2[238] := 0.9490;
bluecmap3[238] := 0.3594;
bluecmap1[239] := 0.9490;
bluecmap2[239] := 0.9490;
bluecmap3[239] := 0.3509;
bluecmap1[240] := 0.9529;
bluecmap2[240] := 0.9529;
bluecmap3[240] := 0.3420;
bluecmap1[241] := 0.9569;
bluecmap2[241] := 0.9569;
bluecmap3[241] := 0.3328;
bluecmap1[242] := 0.9608;
bluecmap2[242] := 0.9608;
bluecmap3[242] := 0.3232;
bluecmap1[243] := 0.9608;
bluecmap2[243] := 0.9608;
bluecmap3[243] := 0.3131;
bluecmap1[244] := 0.9647;
bluecmap2[244] := 0.9647;
bluecmap3[244] := 0.3024;
bluecmap1[245] := 0.9686;
bluecmap2[245] := 0.9686;
bluecmap3[245] := 0.2912;
bluecmap1[246] := 0.9686;
bluecmap2[246] := 0.9686;
bluecmap3[246] := 0.2792;
bluecmap1[247] := 0.9725;
bluecmap2[247] := 0.9725;
bluecmap3[247] := 0.2664;
bluecmap1[248] := 0.9765;
bluecmap2[248] := 0.9765;
bluecmap3[248] := 0.2526;
bluecmap1[249] := 0.9804;
bluecmap2[249] := 0.9804;
bluecmap3[249] := 0.2375;
bluecmap1[250] := 0.9804;
bluecmap2[250] := 0.9804;
bluecmap3[250] := 0.2208;
bluecmap1[251] := 0.9843;
bluecmap2[251] := 0.9843;
bluecmap3[251] := 0.2020;
bluecmap1[252] := 0.9882;
bluecmap2[252] := 0.9882;
bluecmap3[252] := 0.1800;
bluecmap1[253] := 1.0;
bluecmap2[253] := 0.0;
bluecmap3[253] := 0.0;
bluecmap1[254] := 1.0;
bluecmap2[254] := 1.0;
bluecmap3[254] := 0.0;
bluecmap1[255] := 0.0;
bluecmap2[255] := 1.000;
bluecmap3[255] := 0.0;

linradcmap1[0] := 0.0000;
linradcmap2[0] := 0.0000;
linradcmap3[0] := 0.0000;
linradcmap1[1] := 0.0000;
linradcmap2[1] := 0.0000;
linradcmap3[1] := 0.0123;
linradcmap1[2] := 0.0000;
linradcmap2[2] := 0.0000;
linradcmap3[2] := 0.0246;
linradcmap1[3] := 0.0000;
linradcmap2[3] := 0.0000;
linradcmap3[3] := 0.0368;
linradcmap1[4] := 0.0000;
linradcmap2[4] := 0.0000;
linradcmap3[4] := 0.0490;
linradcmap1[5] := 0.0000;
linradcmap2[5] := 0.0000;
linradcmap3[5] := 0.0612;
linradcmap1[6] := 0.0000;
linradcmap2[6] := 0.0000;
linradcmap3[6] := 0.0734;
linradcmap1[7] := 0.0000;
linradcmap2[7] := 0.0000;
linradcmap3[7] := 0.0855;
linradcmap1[8] := 0.0000;
linradcmap2[8] := 0.0000;
linradcmap3[8] := 0.0975;
linradcmap1[9] := 0.0000;
linradcmap2[9] := 0.0000;
linradcmap3[9] := 0.1094;
linradcmap1[10] := 0.0000;
linradcmap2[10] := 0.0000;
linradcmap3[10] := 0.1213;
linradcmap1[11] := 0.0000;
linradcmap2[11] := 0.0000;
linradcmap3[11] := 0.1331;
linradcmap1[12] := 0.0000;
linradcmap2[12] := 0.0000;
linradcmap3[12] := 0.1448;
linradcmap1[13] := 0.0000;
linradcmap2[13] := 0.0000;
linradcmap3[13] := 0.1564;
linradcmap1[14] := 0.0000;
linradcmap2[14] := 0.0000;
linradcmap3[14] := 0.1678;
linradcmap1[15] := 0.0000;
linradcmap2[15] := 0.0000;
linradcmap3[15] := 0.1792;
linradcmap1[16] := 0.0000;
linradcmap2[16] := 0.0000;
linradcmap3[16] := 0.1904;
linradcmap1[17] := 0.0000;
linradcmap2[17] := 0.0000;
linradcmap3[17] := 0.2015;
linradcmap1[18] := 0.0000;
linradcmap2[18] := 0.0000;
linradcmap3[18] := 0.2124;
linradcmap1[19] := 0.0000;
linradcmap2[19] := 0.0000;
linradcmap3[19] := 0.2232;
linradcmap1[20] := 0.0000;
linradcmap2[20] := 0.0000;
linradcmap3[20] := 0.2338;
linradcmap1[21] := 0.0000;
linradcmap2[21] := 0.0000;
linradcmap3[21] := 0.2442;
linradcmap1[22] := 0.0000;
linradcmap2[22] := 0.0000;
linradcmap3[22] := 0.2545;
linradcmap1[23] := 0.0000;
linradcmap2[23] := 0.0000;
linradcmap3[23] := 0.2645;
linradcmap1[24] := 0.0000;
linradcmap2[24] := 0.0000;
linradcmap3[24] := 0.2744;
linradcmap1[25] := 0.0000;
linradcmap2[25] := 0.0000;
linradcmap3[25] := 0.2841;
linradcmap1[26] := 0.0000;
linradcmap2[26] := 0.0000;
linradcmap3[26] := 0.2935;
linradcmap1[27] := 0.0000;
linradcmap2[27] := 0.0000;
linradcmap3[27] := 0.3028;
linradcmap1[28] := 0.0000;
linradcmap2[28] := 0.0000;
linradcmap3[28] := 0.3118;
linradcmap1[29] := 0.0000;
linradcmap2[29] := 0.0000;
linradcmap3[29] := 0.3206;
linradcmap1[30] := 0.0000;
linradcmap2[30] := 0.0000;
linradcmap3[30] := 0.3292;
linradcmap1[31] := 0.0000;
linradcmap2[31] := 0.0000;
linradcmap3[31] := 0.3375;
linradcmap1[32] := 0.0000;
linradcmap2[32] := 0.0000;
linradcmap3[32] := 0.3456;
linradcmap1[33] := 0.0000;
linradcmap2[33] := 0.0000;
linradcmap3[33] := 0.3534;
linradcmap1[34] := 0.0000;
linradcmap2[34] := 0.0000;
linradcmap3[34] := 0.3609;
linradcmap1[35] := 0.0000;
linradcmap2[35] := 0.0036;
linradcmap3[35] := 0.3682;
linradcmap1[36] := 0.0000;
linradcmap2[36] := 0.0149;
linradcmap3[36] := 0.3752;
linradcmap1[37] := 0.0000;
linradcmap2[37] := 0.0262;
linradcmap3[37] := 0.3820;
linradcmap1[38] := 0.0000;
linradcmap2[38] := 0.0375;
linradcmap3[38] := 0.3885;
linradcmap1[39] := 0.0000;
linradcmap2[39] := 0.0487;
linradcmap3[39] := 0.3946;
linradcmap1[40] := 0.0000;
linradcmap2[40] := 0.0600;
linradcmap3[40] := 0.4005;
linradcmap1[41] := 0.0000;
linradcmap2[41] := 0.0712;
linradcmap3[41] := 0.4061;
linradcmap1[42] := 0.0000;
linradcmap2[42] := 0.0824;
linradcmap3[42] := 0.4114;
linradcmap1[43] := 0.0000;
linradcmap2[43] := 0.0936;
linradcmap3[43] := 0.4164;
linradcmap1[44] := 0.0000;
linradcmap2[44] := 0.1047;
linradcmap3[44] := 0.4211;
linradcmap1[45] := 0.0000;
linradcmap2[45] := 0.1158;
linradcmap3[45] := 0.4255;
linradcmap1[46] := 0.0000;
linradcmap2[46] := 0.1269;
linradcmap3[46] := 0.4295;
linradcmap1[47] := 0.0000;
linradcmap2[47] := 0.1379;
linradcmap3[47] := 0.4333;
linradcmap1[48] := 0.0000;
linradcmap2[48] := 0.1489;
linradcmap3[48] := 0.4367;
linradcmap1[49] := 0.0000;
linradcmap2[49] := 0.1599;
linradcmap3[49] := 0.4398;
linradcmap1[50] := 0.0000;
linradcmap2[50] := 0.1707;
linradcmap3[50] := 0.4426;
linradcmap1[51] := 0.0000;
linradcmap2[51] := 0.1816;
linradcmap3[51] := 0.4451;
linradcmap1[52] := 0.0000;
linradcmap2[52] := 0.1923;
linradcmap3[52] := 0.4472;
linradcmap1[53] := 0.0000;
linradcmap2[53] := 0.2030;
linradcmap3[53] := 0.4490;
linradcmap1[54] := 0.0000;
linradcmap2[54] := 0.2137;
linradcmap3[54] := 0.4505;
linradcmap1[55] := 0.0000;
linradcmap2[55] := 0.2243;
linradcmap3[55] := 0.4517;
linradcmap1[56] := 0.0000;
linradcmap2[56] := 0.2348;
linradcmap3[56] := 0.4525;
linradcmap1[57] := 0.0000;
linradcmap2[57] := 0.2452;
linradcmap3[57] := 0.4530;
linradcmap1[58] := 0.0000;
linradcmap2[58] := 0.2555;
linradcmap3[58] := 0.4531;
linradcmap1[59] := 0.0000;
linradcmap2[59] := 0.2658;
linradcmap3[59] := 0.4529;
linradcmap1[60] := 0.0000;
linradcmap2[60] := 0.2760;
linradcmap3[60] := 0.4524;
linradcmap1[61] := 0.0000;
linradcmap2[61] := 0.2860;
linradcmap3[61] := 0.4516;
linradcmap1[62] := 0.0000;
linradcmap2[62] := 0.2960;
linradcmap3[62] := 0.4504;
linradcmap1[63] := 0.0000;
linradcmap2[63] := 0.3059;
linradcmap3[63] := 0.4489;
linradcmap1[64] := 0.0000;
linradcmap2[64] := 0.3157;
linradcmap3[64] := 0.4471;
linradcmap1[65] := 0.0000;
linradcmap2[65] := 0.3254;
linradcmap3[65] := 0.4449;
linradcmap1[66] := 0.0000;
linradcmap2[66] := 0.3350;
linradcmap3[66] := 0.4424;
linradcmap1[67] := 0.0000;
linradcmap2[67] := 0.3445;
linradcmap3[67] := 0.4396;
linradcmap1[68] := 0.0000;
linradcmap2[68] := 0.3538;
linradcmap3[68] := 0.4364;
linradcmap1[69] := 0.0000;
linradcmap2[69] := 0.3631;
linradcmap3[69] := 0.4330;
linradcmap1[70] := 0.0000;
linradcmap2[70] := 0.3722;
linradcmap3[70] := 0.4292;
linradcmap1[71] := 0.0000;
linradcmap2[71] := 0.3812;
linradcmap3[71] := 0.4251;
linradcmap1[72] := 0.0000;
linradcmap2[72] := 0.3901;
linradcmap3[72] := 0.4207;
linradcmap1[73] := 0.0000;
linradcmap2[73] := 0.3988;
linradcmap3[73] := 0.4160;
linradcmap1[74] := 0.0000;
linradcmap2[74] := 0.4075;
linradcmap3[74] := 0.4109;
linradcmap1[75] := 0.0000;
linradcmap2[75] := 0.4160;
linradcmap3[75] := 0.4056;
linradcmap1[76] := 0.0000;
linradcmap2[76] := 0.4243;
linradcmap3[76] := 0.4000;
linradcmap1[77] := 0.0000;
linradcmap2[77] := 0.4325;
linradcmap3[77] := 0.3941;
linradcmap1[78] := 0.0000;
linradcmap2[78] := 0.4406;
linradcmap3[78] := 0.3879;
linradcmap1[79] := 0.0000;
linradcmap2[79] := 0.4486;
linradcmap3[79] := 0.3814;
linradcmap1[80] := 0.0000;
linradcmap2[80] := 0.4563;
linradcmap3[80] := 0.3746;
linradcmap1[81] := 0.0000;
linradcmap2[81] := 0.4640;
linradcmap3[81] := 0.3676;
linradcmap1[82] := 0.0000;
linradcmap2[82] := 0.4715;
linradcmap3[82] := 0.3603;
linradcmap1[83] := 0.0000;
linradcmap2[83] := 0.4788;
linradcmap3[83] := 0.3527;
linradcmap1[84] := 0.0000;
linradcmap2[84] := 0.4860;
linradcmap3[84] := 0.3448;
linradcmap1[85] := 0.0000;
linradcmap2[85] := 0.4930;
linradcmap3[85] := 0.3367;
linradcmap1[86] := 0.0000;
linradcmap2[86] := 0.4998;
linradcmap3[86] := 0.3284;
linradcmap1[87] := 0.0000;
linradcmap2[87] := 0.5065;
linradcmap3[87] := 0.3198;
linradcmap1[88] := 0.0000;
linradcmap2[88] := 0.5131;
linradcmap3[88] := 0.3110;
linradcmap1[89] := 0.0000;
linradcmap2[89] := 0.5194;
linradcmap3[89] := 0.3020;
linradcmap1[90] := 0.0000;
linradcmap2[90] := 0.5256;
linradcmap3[90] := 0.2927;
linradcmap1[91] := 0.0000;
linradcmap2[91] := 0.5316;
linradcmap3[91] := 0.2832;
linradcmap1[92] := 0.0000;
linradcmap2[92] := 0.5375;
linradcmap3[92] := 0.2735;
linradcmap1[93] := 0.0000;
linradcmap2[93] := 0.5432;
linradcmap3[93] := 0.2636;
linradcmap1[94] := 0.0000;
linradcmap2[94] := 0.5487;
linradcmap3[94] := 0.2535;
linradcmap1[95] := 0.0000;
linradcmap2[95] := 0.5540;
linradcmap3[95] := 0.2433;
linradcmap1[96] := 0.0000;
linradcmap2[96] := 0.5591;
linradcmap3[96] := 0.2328;
linradcmap1[97] := 0.0000;
linradcmap2[97] := 0.5641;
linradcmap3[97] := 0.2222;
linradcmap1[98] := 0.0000;
linradcmap2[98] := 0.5688;
linradcmap3[98] := 0.2114;
linradcmap1[99] := 0.0000;
linradcmap2[99] := 0.5734;
linradcmap3[99] := 0.2005;
linradcmap1[100] := 0.0000;
linradcmap2[100] := 0.5778;
linradcmap3[100] := 0.1894;
linradcmap1[101] := 0.0000;
linradcmap2[101] := 0.5820;
linradcmap3[101] := 0.1782;
linradcmap1[102] := 0.0000;
linradcmap2[102] := 0.5860;
linradcmap3[102] := 0.1668;
linradcmap1[103] := 0.0000;
linradcmap2[103] := 0.5899;
linradcmap3[103] := 0.1553;
linradcmap1[104] := 0.0000;
linradcmap2[104] := 0.5935;
linradcmap3[104] := 0.1437;
linradcmap1[105] := 0.0120;
linradcmap2[105] := 0.5969;
linradcmap3[105] := 0.1320;
linradcmap1[106] := 0.0289;
linradcmap2[106] := 0.6002;
linradcmap3[106] := 0.1202;
linradcmap1[107] := 0.0458;
linradcmap2[107] := 0.6032;
linradcmap3[107] := 0.1084;
linradcmap1[108] := 0.0628;
linradcmap2[108] := 0.6061;
linradcmap3[108] := 0.0964;
linradcmap1[109] := 0.0797;
linradcmap2[109] := 0.6088;
linradcmap3[109] := 0.0844;
linradcmap1[110] := 0.0966;
linradcmap2[110] := 0.6112;
linradcmap3[110] := 0.0723;
linradcmap1[111] := 0.1134;
linradcmap2[111] := 0.6135;
linradcmap3[111] := 0.0601;
linradcmap1[112] := 0.1302;
linradcmap2[112] := 0.6155;
linradcmap3[112] := 0.0479;
linradcmap1[113] := 0.1470;
linradcmap2[113] := 0.6174;
linradcmap3[113] := 0.0357;
linradcmap1[114] := 0.1638;
linradcmap2[114] := 0.6190;
linradcmap3[114] := 0.0234;
linradcmap1[115] := 0.1805;
linradcmap2[115] := 0.6205;
linradcmap3[115] := 0.0112;
linradcmap1[116] := 0.1971;
linradcmap2[116] := 0.6217;
linradcmap3[116] := -0.0011;
linradcmap1[117] := 0.2137;
linradcmap2[117] := 0.6228;
linradcmap3[117] := 0.0000;
linradcmap1[118] := 0.2302;
linradcmap2[118] := 0.6236;
linradcmap3[118] := 0.0000;
linradcmap1[119] := 0.2467;
linradcmap2[119] := 0.6243;
linradcmap3[119] := 0.0000;
linradcmap1[120] := 0.2631;
linradcmap2[120] := 0.6247;
linradcmap3[120] := 0.0000;
linradcmap1[121] := 0.2794;
linradcmap2[121] := 0.6250;
linradcmap3[121] := 0.0000;
linradcmap1[122] := 0.2957;
linradcmap2[122] := 0.6250;
linradcmap3[122] := 0.0000;
linradcmap1[123] := 0.3118;
linradcmap2[123] := 0.6248;
linradcmap3[123] := 0.0000;
linradcmap1[124] := 0.3279;
linradcmap2[124] := 0.6244;
linradcmap3[124] := 0.0000;
linradcmap1[125] := 0.3438;
linradcmap2[125] := 0.6239;
linradcmap3[125] := 0.0000;
linradcmap1[126] := 0.3597;
linradcmap2[126] := 0.6231;
linradcmap3[126] := 0.0000;
linradcmap1[127] := 0.3755;
linradcmap2[127] := 0.6221;
linradcmap3[127] := 0.0000;
linradcmap1[128] := 0.3911;
linradcmap2[128] := 0.6209;
linradcmap3[128] := 0.0000;
linradcmap1[129] := 0.4067;
linradcmap2[129] := 0.6195;
linradcmap3[129] := 0.0000;
linradcmap1[130] := 0.4221;
linradcmap2[130] := 0.6179;
linradcmap3[130] := 0.0000;
linradcmap1[131] := 0.4374;
linradcmap2[131] := 0.6161;
linradcmap3[131] := 0.0000;
linradcmap1[132] := 0.4526;
linradcmap2[132] := 0.6141;
linradcmap3[132] := 0.0000;
linradcmap1[133] := 0.4676;
linradcmap2[133] := 0.6119;
linradcmap3[133] := 0.0000;
linradcmap1[134] := 0.4826;
linradcmap2[134] := 0.6095;
linradcmap3[134] := 0.0000;
linradcmap1[135] := 0.4973;
linradcmap2[135] := 0.6069;
linradcmap3[135] := 0.0000;
linradcmap1[136] := 0.5120;
linradcmap2[136] := 0.6041;
linradcmap3[136] := 0.0000;
linradcmap1[137] := 0.5265;
linradcmap2[137] := 0.6011;
linradcmap3[137] := 0.0000;
linradcmap1[138] := 0.5408;
linradcmap2[138] := 0.5980;
linradcmap3[138] := 0.0000;
linradcmap1[139] := 0.5550;
linradcmap2[139] := 0.5946;
linradcmap3[139] := 0.0000;
linradcmap1[140] := 0.5690;
linradcmap2[140] := 0.5910;
linradcmap3[140] := 0.0000;
linradcmap1[141] := 0.5829;
linradcmap2[141] := 0.5872;
linradcmap3[141] := 0.0000;
linradcmap1[142] := 0.5965;
linradcmap2[142] := 0.5833;
linradcmap3[142] := 0.0000;
linradcmap1[143] := 0.6101;
linradcmap2[143] := 0.5791;
linradcmap3[143] := 0.0000;
linradcmap1[144] := 0.6234;
linradcmap2[144] := 0.5748;
linradcmap3[144] := 0.0000;
linradcmap1[145] := 0.6366;
linradcmap2[145] := 0.5702;
linradcmap3[145] := 0.0000;
linradcmap1[146] := 0.6496;
linradcmap2[146] := 0.5655;
linradcmap3[146] := 0.0000;
linradcmap1[147] := 0.6623;
linradcmap2[147] := 0.5606;
linradcmap3[147] := 0.0000;
linradcmap1[148] := 0.6750;
linradcmap2[148] := 0.5556;
linradcmap3[148] := 0.0000;
linradcmap1[149] := 0.6874;
linradcmap2[149] := 0.5503;
linradcmap3[149] := 0.0000;
linradcmap1[150] := 0.6996;
linradcmap2[150] := 0.5449;
linradcmap3[150] := 0.0000;
linradcmap1[151] := 0.7116;
linradcmap2[151] := 0.5392;
linradcmap3[151] := 0.0000;
linradcmap1[152] := 0.7234;
linradcmap2[152] := 0.5334;
linradcmap3[152] := 0.0000;
linradcmap1[153] := 0.7350;
linradcmap2[153] := 0.5275;
linradcmap3[153] := 0.0000;
linradcmap1[154] := 0.7464;
linradcmap2[154] := 0.5213;
linradcmap3[154] := 0.0000;
linradcmap1[155] := 0.7576;
linradcmap2[155] := 0.5150;
linradcmap3[155] := 0.0000;
linradcmap1[156] := 0.7685;
linradcmap2[156] := 0.5085;
linradcmap3[156] := 0.0000;
linradcmap1[157] := 0.7793;
linradcmap2[157] := 0.5019;
linradcmap3[157] := 0.0000;
linradcmap1[158] := 0.7898;
linradcmap2[158] := 0.4951;
linradcmap3[158] := 0.0000;
linradcmap1[159] := 0.8000;
linradcmap2[159] := 0.4881;
linradcmap3[159] := 0.0000;
linradcmap1[160] := 0.8101;
linradcmap2[160] := 0.4810;
linradcmap3[160] := 0.0000;
linradcmap1[161] := 0.8199;
linradcmap2[161] := 0.4737;
linradcmap3[161] := 0.0000;
linradcmap1[162] := 0.8295;
linradcmap2[162] := 0.4663;
linradcmap3[162] := 0.0000;
linradcmap1[163] := 0.8389;
linradcmap2[163] := 0.4587;
linradcmap3[163] := 0.0000;
linradcmap1[164] := 0.8480;
linradcmap2[164] := 0.4509;
linradcmap3[164] := 0.0000;
linradcmap1[165] := 0.8568;
linradcmap2[165] := 0.4430;
linradcmap3[165] := 0.0000;
linradcmap1[166] := 0.8654;
linradcmap2[166] := 0.4350;
linradcmap3[166] := 0.0000;
linradcmap1[167] := 0.8738;
linradcmap2[167] := 0.4268;
linradcmap3[167] := 0.0000;
linradcmap1[168] := 0.8819;
linradcmap2[168] := 0.4185;
linradcmap3[168] := 0.0000;
linradcmap1[169] := 0.8898;
linradcmap2[169] := 0.4101;
linradcmap3[169] := 0.0000;
linradcmap1[170] := 0.8974;
linradcmap2[170] := 0.4015;
linradcmap3[170] := 0.0000;
linradcmap1[171] := 0.9048;
linradcmap2[171] := 0.3928;
linradcmap3[171] := 0.0000;
linradcmap1[172] := 0.9118;
linradcmap2[172] := 0.3839;
linradcmap3[172] := 0.0000;
linradcmap1[173] := 0.9187;
linradcmap2[173] := 0.3749;
linradcmap3[173] := 0.0000;
linradcmap1[174] := 0.9252;
linradcmap2[174] := 0.3658;
linradcmap3[174] := 0.0000;
linradcmap1[175] := 0.9315;
linradcmap2[175] := 0.3566;
linradcmap3[175] := 0.0000;
linradcmap1[176] := 0.9376;
linradcmap2[176] := 0.3473;
linradcmap3[176] := 0.0000;
linradcmap1[177] := 0.9433;
linradcmap2[177] := 0.3379;
linradcmap3[177] := 0.0000;
linradcmap1[178] := 0.9488;
linradcmap2[178] := 0.3283;
linradcmap3[178] := 0.0000;
linradcmap1[179] := 0.9540;
linradcmap2[179] := 0.3187;
linradcmap3[179] := 0.0000;
linradcmap1[180] := 0.9590;
linradcmap2[180] := 0.3089;
linradcmap3[180] := 0.0000;
linradcmap1[181] := 0.9636;
linradcmap2[181] := 0.2990;
linradcmap3[181] := 0.0000;
linradcmap1[182] := 0.9680;
linradcmap2[182] := 0.2891;
linradcmap3[182] := 0.0000;
linradcmap1[183] := 0.9721;
linradcmap2[183] := 0.2790;
linradcmap3[183] := 0.0000;
linradcmap1[184] := 0.9760;
linradcmap2[184] := 0.2689;
linradcmap3[184] := 0.0000;
linradcmap1[185] := 0.9795;
linradcmap2[185] := 0.2586;
linradcmap3[185] := 0.0000;
linradcmap1[186] := 0.9828;
linradcmap2[186] := 0.2483;
linradcmap3[186] := 0.0083;
linradcmap1[187] := 0.9858;
linradcmap2[187] := 0.2379;
linradcmap3[187] := 0.0219;
linradcmap1[188] := 0.9885;
linradcmap2[188] := 0.2274;
linradcmap3[188] := 0.0354;
linradcmap1[189] := 0.9909;
linradcmap2[189] := 0.2169;
linradcmap3[189] := 0.0489;
linradcmap1[190] := 0.9931;
linradcmap2[190] := 0.2063;
linradcmap3[190] := 0.0625;
linradcmap1[191] := 0.9949;
linradcmap2[191] := 0.1956;
linradcmap3[191] := 0.0760;
linradcmap1[192] := 0.9965;
linradcmap2[192] := 0.1848;
linradcmap3[192] := 0.0896;
linradcmap1[193] := 0.9978;
linradcmap2[193] := 0.1740;
linradcmap3[193] := 0.1031;
linradcmap1[194] := 0.9987;
linradcmap2[194] := 0.1632;
linradcmap3[194] := 0.1167;
linradcmap1[195] := 0.9995;
linradcmap2[195] := 0.1522;
linradcmap3[195] := 0.1303;
linradcmap1[196] := 0.9999;
linradcmap2[196] := 0.1413;
linradcmap3[196] := 0.1439;
linradcmap1[197] := 1.0000;
linradcmap2[197] := 0.1302;
linradcmap3[197] := 0.1575;
linradcmap1[198] := 1.0000;
linradcmap2[198] := 0.1712;
linradcmap3[198] := 0.1712;
linradcmap1[199] := 1.0000;
linradcmap2[199] := 0.1848;
linradcmap3[199] := 0.1848;
linradcmap1[200] := 1.0000;
linradcmap2[200] := 0.1986;
linradcmap3[200] := 0.1986;
linradcmap1[201] := 1.0000;
linradcmap2[201] := 0.2123;
linradcmap3[201] := 0.2123;
linradcmap1[202] := 1.0000;
linradcmap2[202] := 0.2261;
linradcmap3[202] := 0.2261;
linradcmap1[203] := 1.0000;
linradcmap2[203] := 0.2400;
linradcmap3[203] := 0.2400;
linradcmap1[204] := 1.0000;
linradcmap2[204] := 0.2539;
linradcmap3[204] := 0.2539;
linradcmap1[205] := 1.0000;
linradcmap2[205] := 0.2678;
linradcmap3[205] := 0.2678;
linradcmap1[206] := 1.0000;
linradcmap2[206] := 0.2819;
linradcmap3[206] := 0.2819;
linradcmap1[207] := 1.0000;
linradcmap2[207] := 0.2960;
linradcmap3[207] := 0.2960;
linradcmap1[208] := 1.0000;
linradcmap2[208] := 0.3102;
linradcmap3[208] := 0.3102;
linradcmap1[209] := 1.0000;
linradcmap2[209] := 0.3245;
linradcmap3[209] := 0.3245;
linradcmap1[210] := 1.0000;
linradcmap2[210] := 0.3389;
linradcmap3[210] := 0.3389;
linradcmap1[211] := 1.0000;
linradcmap2[211] := 0.3535;
linradcmap3[211] := 0.3535;
linradcmap1[212] := 1.0000;
linradcmap2[212] := 0.3681;
linradcmap3[212] := 0.3681;
linradcmap1[213] := 1.0000;
linradcmap2[213] := 0.3829;
linradcmap3[213] := 0.3829;
linradcmap1[214] := 1.0000;
linradcmap2[214] := 0.3978;
linradcmap3[214] := 0.3978;
linradcmap1[215] := 1.0000;
linradcmap2[215] := 0.4129;
linradcmap3[215] := 0.4129;
linradcmap1[216] := 1.0000;
linradcmap2[216] := 0.4282;
linradcmap3[216] := 0.4282;
linradcmap1[217] := 1.0000;
linradcmap2[217] := 0.4436;
linradcmap3[217] := 0.4436;
linradcmap1[218] := 1.0000;
linradcmap2[218] := 0.4592;
linradcmap3[218] := 0.4592;
linradcmap1[219] := 1.0000;
linradcmap2[219] := 0.4750;
linradcmap3[219] := 0.4750;
linradcmap1[220] := 1.0000;
linradcmap2[220] := 0.4910;
linradcmap3[220] := 0.4910;
linradcmap1[221] := 1.0000;
linradcmap2[221] := 0.5072;
linradcmap3[221] := 0.5072;
linradcmap1[222] := 1.0000;
linradcmap2[222] := 0.5237;
linradcmap3[222] := 0.5237;
linradcmap1[223] := 1.0000;
linradcmap2[223] := 0.5405;
linradcmap3[223] := 0.5405;
linradcmap1[224] := 1.0000;
linradcmap2[224] := 0.5574;
linradcmap3[224] := 0.5574;
linradcmap1[225] := 1.0000;
linradcmap2[225] := 0.5747;
linradcmap3[225] := 0.5747;
linradcmap1[226] := 1.0000;
linradcmap2[226] := 0.5923;
linradcmap3[226] := 0.5923;
linradcmap1[227] := 1.0000;
linradcmap2[227] := 0.6102;
linradcmap3[227] := 0.6102;
linradcmap1[228] := 1.0000;
linradcmap2[228] := 0.6284;
linradcmap3[228] := 0.6284;
linradcmap1[229] := 1.0000;
linradcmap2[229] := 0.6469;
linradcmap3[229] := 0.6469;
linradcmap1[230] := 1.0000;
linradcmap2[230] := 0.6658;
linradcmap3[230] := 0.6658;
linradcmap1[231] := 1.0000;
linradcmap2[231] := 0.6851;
linradcmap3[231] := 0.6851;
linradcmap1[232] := 1.0000;
linradcmap2[232] := 0.7047;
linradcmap3[232] := 0.7047;
linradcmap1[233] := 1.0000;
linradcmap2[233] := 0.7248;
linradcmap3[233] := 0.7248;
linradcmap1[234] := 1.0000;
linradcmap2[234] := 0.7453;
linradcmap3[234] := 0.7453;
linradcmap1[235] := 1.0000;
linradcmap2[235] := 0.7662;
linradcmap3[235] := 0.7662;
linradcmap1[236] := 1.0000;
linradcmap2[236] := 0.7876;
linradcmap3[236] := 0.7876;
linradcmap1[237] := 1.0000;
linradcmap2[237] := 0.8095;
linradcmap3[237] := 0.8095;
linradcmap1[238] := 1.0000;
linradcmap2[238] := 0.8319;
linradcmap3[238] := 0.8319;
linradcmap1[239] := 1.0000;
linradcmap2[239] := 0.8548;
linradcmap3[239] := 0.8548;
linradcmap1[240] := 1.0000;
linradcmap2[240] := 0.8782;
linradcmap3[240] := 0.8782;
linradcmap1[241] := 1.0000;
linradcmap2[241] := 0.9022;
linradcmap3[241] := 0.9022;
linradcmap1[242] := 1.0000;
linradcmap2[242] := 0.9268;
linradcmap3[242] := 0.9268;
linradcmap1[243] := 1.0000;
linradcmap2[243] := 0.9519;
linradcmap3[243] := 0.9519;
linradcmap1[244] := 1.0000;
linradcmap2[244] := 0.9777;
linradcmap3[244] := 0.9777;
linradcmap1[245] := 1.0000;
linradcmap2[245] := 1.0000;
linradcmap3[245] := 1.0000;
linradcmap1[246] := 1.0000;
linradcmap2[246] := 1.0000;
linradcmap3[246] := 1.0000;
linradcmap1[247] := 1.0000;
linradcmap2[247] := 1.0000;
linradcmap3[247] := 1.0000;
linradcmap1[248] := 1.0000;
linradcmap2[248] := 1.0000;
linradcmap3[248] := 1.0000;
linradcmap1[249] := 1.0000;
linradcmap2[249] := 1.0000;
linradcmap3[249] := 1.0000;
linradcmap1[250] := 1.0000;
linradcmap2[250] := 1.0000;
linradcmap3[250] := 1.0000;
linradcmap1[251] := 1.0000;
linradcmap2[251] := 1.0000;
linradcmap3[251] := 1.0000;
linradcmap1[252] := 1.0000;
linradcmap2[252] := 1.0000;
linradcmap3[252] := 1.0000;
linradcmap1[253] := 1.0;
linradcmap2[253] := 0.0;
linradcmap3[253] := 0.0;
linradcmap1[254] := 1.0;
linradcmap2[254] := 1.0;
linradcmap3[254] := 0.0;
linradcmap1[255] := 0.0;
linradcmap2[255] := 1.000;
linradcmap3[255] := 0.0;

gray0cmap1[0] := 0.0000;
gray0cmap2[0] := 0.0000;
gray0cmap3[0] := 0.0000;
gray0cmap1[1] := 0.0039;
gray0cmap2[1] := 0.0039;
gray0cmap3[1] := 0.0039;
gray0cmap1[2] := 0.0078;
gray0cmap2[2] := 0.0078;
gray0cmap3[2] := 0.0078;
gray0cmap1[3] := 0.0118;
gray0cmap2[3] := 0.0118;
gray0cmap3[3] := 0.0118;
gray0cmap1[4] := 0.0157;
gray0cmap2[4] := 0.0157;
gray0cmap3[4] := 0.0157;
gray0cmap1[5] := 0.0196;
gray0cmap2[5] := 0.0196;
gray0cmap3[5] := 0.0196;
gray0cmap1[6] := 0.0235;
gray0cmap2[6] := 0.0235;
gray0cmap3[6] := 0.0235;
gray0cmap1[7] := 0.0275;
gray0cmap2[7] := 0.0275;
gray0cmap3[7] := 0.0275;
gray0cmap1[8] := 0.0314;
gray0cmap2[8] := 0.0314;
gray0cmap3[8] := 0.0314;
gray0cmap1[9] := 0.0353;
gray0cmap2[9] := 0.0353;
gray0cmap3[9] := 0.0353;
gray0cmap1[10] := 0.0392;
gray0cmap2[10] := 0.0392;
gray0cmap3[10] := 0.0392;
gray0cmap1[11] := 0.0431;
gray0cmap2[11] := 0.0431;
gray0cmap3[11] := 0.0431;
gray0cmap1[12] := 0.0471;
gray0cmap2[12] := 0.0471;
gray0cmap3[12] := 0.0471;
gray0cmap1[13] := 0.0510;
gray0cmap2[13] := 0.0510;
gray0cmap3[13] := 0.0510;
gray0cmap1[14] := 0.0549;
gray0cmap2[14] := 0.0549;
gray0cmap3[14] := 0.0549;
gray0cmap1[15] := 0.0588;
gray0cmap2[15] := 0.0588;
gray0cmap3[15] := 0.0588;
gray0cmap1[16] := 0.0627;
gray0cmap2[16] := 0.0627;
gray0cmap3[16] := 0.0627;
gray0cmap1[17] := 0.0667;
gray0cmap2[17] := 0.0667;
gray0cmap3[17] := 0.0667;
gray0cmap1[18] := 0.0706;
gray0cmap2[18] := 0.0706;
gray0cmap3[18] := 0.0706;
gray0cmap1[19] := 0.0745;
gray0cmap2[19] := 0.0745;
gray0cmap3[19] := 0.0745;
gray0cmap1[20] := 0.0784;
gray0cmap2[20] := 0.0784;
gray0cmap3[20] := 0.0784;
gray0cmap1[21] := 0.0824;
gray0cmap2[21] := 0.0824;
gray0cmap3[21] := 0.0824;
gray0cmap1[22] := 0.0863;
gray0cmap2[22] := 0.0863;
gray0cmap3[22] := 0.0863;
gray0cmap1[23] := 0.0902;
gray0cmap2[23] := 0.0902;
gray0cmap3[23] := 0.0902;
gray0cmap1[24] := 0.0941;
gray0cmap2[24] := 0.0941;
gray0cmap3[24] := 0.0941;
gray0cmap1[25] := 0.0980;
gray0cmap2[25] := 0.0980;
gray0cmap3[25] := 0.0980;
gray0cmap1[26] := 0.1020;
gray0cmap2[26] := 0.1020;
gray0cmap3[26] := 0.1020;
gray0cmap1[27] := 0.1059;
gray0cmap2[27] := 0.1059;
gray0cmap3[27] := 0.1059;
gray0cmap1[28] := 0.1098;
gray0cmap2[28] := 0.1098;
gray0cmap3[28] := 0.1098;
gray0cmap1[29] := 0.1137;
gray0cmap2[29] := 0.1137;
gray0cmap3[29] := 0.1137;
gray0cmap1[30] := 0.1176;
gray0cmap2[30] := 0.1176;
gray0cmap3[30] := 0.1176;
gray0cmap1[31] := 0.1216;
gray0cmap2[31] := 0.1216;
gray0cmap3[31] := 0.1216;
gray0cmap1[32] := 0.1255;
gray0cmap2[32] := 0.1255;
gray0cmap3[32] := 0.1255;
gray0cmap1[33] := 0.1294;
gray0cmap2[33] := 0.1294;
gray0cmap3[33] := 0.1294;
gray0cmap1[34] := 0.1333;
gray0cmap2[34] := 0.1333;
gray0cmap3[34] := 0.1333;
gray0cmap1[35] := 0.1373;
gray0cmap2[35] := 0.1373;
gray0cmap3[35] := 0.1373;
gray0cmap1[36] := 0.1412;
gray0cmap2[36] := 0.1412;
gray0cmap3[36] := 0.1412;
gray0cmap1[37] := 0.1451;
gray0cmap2[37] := 0.1451;
gray0cmap3[37] := 0.1451;
gray0cmap1[38] := 0.1490;
gray0cmap2[38] := 0.1490;
gray0cmap3[38] := 0.1490;
gray0cmap1[39] := 0.1529;
gray0cmap2[39] := 0.1529;
gray0cmap3[39] := 0.1529;
gray0cmap1[40] := 0.1569;
gray0cmap2[40] := 0.1569;
gray0cmap3[40] := 0.1569;
gray0cmap1[41] := 0.1608;
gray0cmap2[41] := 0.1608;
gray0cmap3[41] := 0.1608;
gray0cmap1[42] := 0.1647;
gray0cmap2[42] := 0.1647;
gray0cmap3[42] := 0.1647;
gray0cmap1[43] := 0.1686;
gray0cmap2[43] := 0.1686;
gray0cmap3[43] := 0.1686;
gray0cmap1[44] := 0.1725;
gray0cmap2[44] := 0.1725;
gray0cmap3[44] := 0.1725;
gray0cmap1[45] := 0.1765;
gray0cmap2[45] := 0.1765;
gray0cmap3[45] := 0.1765;
gray0cmap1[46] := 0.1804;
gray0cmap2[46] := 0.1804;
gray0cmap3[46] := 0.1804;
gray0cmap1[47] := 0.1843;
gray0cmap2[47] := 0.1843;
gray0cmap3[47] := 0.1843;
gray0cmap1[48] := 0.1882;
gray0cmap2[48] := 0.1882;
gray0cmap3[48] := 0.1882;
gray0cmap1[49] := 0.1922;
gray0cmap2[49] := 0.1922;
gray0cmap3[49] := 0.1922;
gray0cmap1[50] := 0.1961;
gray0cmap2[50] := 0.1961;
gray0cmap3[50] := 0.1961;
gray0cmap1[51] := 0.2000;
gray0cmap2[51] := 0.2000;
gray0cmap3[51] := 0.2000;
gray0cmap1[52] := 0.2039;
gray0cmap2[52] := 0.2039;
gray0cmap3[52] := 0.2039;
gray0cmap1[53] := 0.2078;
gray0cmap2[53] := 0.2078;
gray0cmap3[53] := 0.2078;
gray0cmap1[54] := 0.2118;
gray0cmap2[54] := 0.2118;
gray0cmap3[54] := 0.2118;
gray0cmap1[55] := 0.2157;
gray0cmap2[55] := 0.2157;
gray0cmap3[55] := 0.2157;
gray0cmap1[56] := 0.2196;
gray0cmap2[56] := 0.2196;
gray0cmap3[56] := 0.2196;
gray0cmap1[57] := 0.2235;
gray0cmap2[57] := 0.2235;
gray0cmap3[57] := 0.2235;
gray0cmap1[58] := 0.2275;
gray0cmap2[58] := 0.2275;
gray0cmap3[58] := 0.2275;
gray0cmap1[59] := 0.2314;
gray0cmap2[59] := 0.2314;
gray0cmap3[59] := 0.2314;
gray0cmap1[60] := 0.2353;
gray0cmap2[60] := 0.2353;
gray0cmap3[60] := 0.2353;
gray0cmap1[61] := 0.2392;
gray0cmap2[61] := 0.2392;
gray0cmap3[61] := 0.2392;
gray0cmap1[62] := 0.2431;
gray0cmap2[62] := 0.2431;
gray0cmap3[62] := 0.2431;
gray0cmap1[63] := 0.2471;
gray0cmap2[63] := 0.2471;
gray0cmap3[63] := 0.2471;
gray0cmap1[64] := 0.2510;
gray0cmap2[64] := 0.2510;
gray0cmap3[64] := 0.2510;
gray0cmap1[65] := 0.2549;
gray0cmap2[65] := 0.2549;
gray0cmap3[65] := 0.2549;
gray0cmap1[66] := 0.2588;
gray0cmap2[66] := 0.2588;
gray0cmap3[66] := 0.2588;
gray0cmap1[67] := 0.2627;
gray0cmap2[67] := 0.2627;
gray0cmap3[67] := 0.2627;
gray0cmap1[68] := 0.2667;
gray0cmap2[68] := 0.2667;
gray0cmap3[68] := 0.2667;
gray0cmap1[69] := 0.2706;
gray0cmap2[69] := 0.2706;
gray0cmap3[69] := 0.2706;
gray0cmap1[70] := 0.2745;
gray0cmap2[70] := 0.2745;
gray0cmap3[70] := 0.2745;
gray0cmap1[71] := 0.2784;
gray0cmap2[71] := 0.2784;
gray0cmap3[71] := 0.2784;
gray0cmap1[72] := 0.2824;
gray0cmap2[72] := 0.2824;
gray0cmap3[72] := 0.2824;
gray0cmap1[73] := 0.2863;
gray0cmap2[73] := 0.2863;
gray0cmap3[73] := 0.2863;
gray0cmap1[74] := 0.2902;
gray0cmap2[74] := 0.2902;
gray0cmap3[74] := 0.2902;
gray0cmap1[75] := 0.2941;
gray0cmap2[75] := 0.2941;
gray0cmap3[75] := 0.2941;
gray0cmap1[76] := 0.2980;
gray0cmap2[76] := 0.2980;
gray0cmap3[76] := 0.2980;
gray0cmap1[77] := 0.3020;
gray0cmap2[77] := 0.3020;
gray0cmap3[77] := 0.3020;
gray0cmap1[78] := 0.3059;
gray0cmap2[78] := 0.3059;
gray0cmap3[78] := 0.3059;
gray0cmap1[79] := 0.3098;
gray0cmap2[79] := 0.3098;
gray0cmap3[79] := 0.3098;
gray0cmap1[80] := 0.3137;
gray0cmap2[80] := 0.3137;
gray0cmap3[80] := 0.3137;
gray0cmap1[81] := 0.3176;
gray0cmap2[81] := 0.3176;
gray0cmap3[81] := 0.3176;
gray0cmap1[82] := 0.3216;
gray0cmap2[82] := 0.3216;
gray0cmap3[82] := 0.3216;
gray0cmap1[83] := 0.3255;
gray0cmap2[83] := 0.3255;
gray0cmap3[83] := 0.3255;
gray0cmap1[84] := 0.3294;
gray0cmap2[84] := 0.3294;
gray0cmap3[84] := 0.3294;
gray0cmap1[85] := 0.3333;
gray0cmap2[85] := 0.3333;
gray0cmap3[85] := 0.3333;
gray0cmap1[86] := 0.3373;
gray0cmap2[86] := 0.3373;
gray0cmap3[86] := 0.3373;
gray0cmap1[87] := 0.3412;
gray0cmap2[87] := 0.3412;
gray0cmap3[87] := 0.3412;
gray0cmap1[88] := 0.3451;
gray0cmap2[88] := 0.3451;
gray0cmap3[88] := 0.3451;
gray0cmap1[89] := 0.3490;
gray0cmap2[89] := 0.3490;
gray0cmap3[89] := 0.3490;
gray0cmap1[90] := 0.3529;
gray0cmap2[90] := 0.3529;
gray0cmap3[90] := 0.3529;
gray0cmap1[91] := 0.3569;
gray0cmap2[91] := 0.3569;
gray0cmap3[91] := 0.3569;
gray0cmap1[92] := 0.3608;
gray0cmap2[92] := 0.3608;
gray0cmap3[92] := 0.3608;
gray0cmap1[93] := 0.3647;
gray0cmap2[93] := 0.3647;
gray0cmap3[93] := 0.3647;
gray0cmap1[94] := 0.3686;
gray0cmap2[94] := 0.3686;
gray0cmap3[94] := 0.3686;
gray0cmap1[95] := 0.3725;
gray0cmap2[95] := 0.3725;
gray0cmap3[95] := 0.3725;
gray0cmap1[96] := 0.3765;
gray0cmap2[96] := 0.3765;
gray0cmap3[96] := 0.3765;
gray0cmap1[97] := 0.3804;
gray0cmap2[97] := 0.3804;
gray0cmap3[97] := 0.3804;
gray0cmap1[98] := 0.3843;
gray0cmap2[98] := 0.3843;
gray0cmap3[98] := 0.3843;
gray0cmap1[99] := 0.3882;
gray0cmap2[99] := 0.3882;
gray0cmap3[99] := 0.3882;
gray0cmap1[100] := 0.3922;
gray0cmap2[100] := 0.3922;
gray0cmap3[100] := 0.3922;
gray0cmap1[101] := 0.3961;
gray0cmap2[101] := 0.3961;
gray0cmap3[101] := 0.3961;
gray0cmap1[102] := 0.4000;
gray0cmap2[102] := 0.4000;
gray0cmap3[102] := 0.4000;
gray0cmap1[103] := 0.4039;
gray0cmap2[103] := 0.4039;
gray0cmap3[103] := 0.4039;
gray0cmap1[104] := 0.4078;
gray0cmap2[104] := 0.4078;
gray0cmap3[104] := 0.4078;
gray0cmap1[105] := 0.4118;
gray0cmap2[105] := 0.4118;
gray0cmap3[105] := 0.4118;
gray0cmap1[106] := 0.4157;
gray0cmap2[106] := 0.4157;
gray0cmap3[106] := 0.4157;
gray0cmap1[107] := 0.4196;
gray0cmap2[107] := 0.4196;
gray0cmap3[107] := 0.4196;
gray0cmap1[108] := 0.4235;
gray0cmap2[108] := 0.4235;
gray0cmap3[108] := 0.4235;
gray0cmap1[109] := 0.4275;
gray0cmap2[109] := 0.4275;
gray0cmap3[109] := 0.4275;
gray0cmap1[110] := 0.4314;
gray0cmap2[110] := 0.4314;
gray0cmap3[110] := 0.4314;
gray0cmap1[111] := 0.4353;
gray0cmap2[111] := 0.4353;
gray0cmap3[111] := 0.4353;
gray0cmap1[112] := 0.4392;
gray0cmap2[112] := 0.4392;
gray0cmap3[112] := 0.4392;
gray0cmap1[113] := 0.4431;
gray0cmap2[113] := 0.4431;
gray0cmap3[113] := 0.4431;
gray0cmap1[114] := 0.4471;
gray0cmap2[114] := 0.4471;
gray0cmap3[114] := 0.4471;
gray0cmap1[115] := 0.4510;
gray0cmap2[115] := 0.4510;
gray0cmap3[115] := 0.4510;
gray0cmap1[116] := 0.4549;
gray0cmap2[116] := 0.4549;
gray0cmap3[116] := 0.4549;
gray0cmap1[117] := 0.4588;
gray0cmap2[117] := 0.4588;
gray0cmap3[117] := 0.4588;
gray0cmap1[118] := 0.4627;
gray0cmap2[118] := 0.4627;
gray0cmap3[118] := 0.4627;
gray0cmap1[119] := 0.4667;
gray0cmap2[119] := 0.4667;
gray0cmap3[119] := 0.4667;
gray0cmap1[120] := 0.4706;
gray0cmap2[120] := 0.4706;
gray0cmap3[120] := 0.4706;
gray0cmap1[121] := 0.4745;
gray0cmap2[121] := 0.4745;
gray0cmap3[121] := 0.4745;
gray0cmap1[122] := 0.4784;
gray0cmap2[122] := 0.4784;
gray0cmap3[122] := 0.4784;
gray0cmap1[123] := 0.4824;
gray0cmap2[123] := 0.4824;
gray0cmap3[123] := 0.4824;
gray0cmap1[124] := 0.4863;
gray0cmap2[124] := 0.4863;
gray0cmap3[124] := 0.4863;
gray0cmap1[125] := 0.4902;
gray0cmap2[125] := 0.4902;
gray0cmap3[125] := 0.4902;
gray0cmap1[126] := 0.4941;
gray0cmap2[126] := 0.4941;
gray0cmap3[126] := 0.4941;
gray0cmap1[127] := 0.4980;
gray0cmap2[127] := 0.4980;
gray0cmap3[127] := 0.4980;
gray0cmap1[128] := 0.5020;
gray0cmap2[128] := 0.5020;
gray0cmap3[128] := 0.5020;
gray0cmap1[129] := 0.5059;
gray0cmap2[129] := 0.5059;
gray0cmap3[129] := 0.5059;
gray0cmap1[130] := 0.5098;
gray0cmap2[130] := 0.5098;
gray0cmap3[130] := 0.5098;
gray0cmap1[131] := 0.5137;
gray0cmap2[131] := 0.5137;
gray0cmap3[131] := 0.5137;
gray0cmap1[132] := 0.5176;
gray0cmap2[132] := 0.5176;
gray0cmap3[132] := 0.5176;
gray0cmap1[133] := 0.5216;
gray0cmap2[133] := 0.5216;
gray0cmap3[133] := 0.5216;
gray0cmap1[134] := 0.5255;
gray0cmap2[134] := 0.5255;
gray0cmap3[134] := 0.5255;
gray0cmap1[135] := 0.5294;
gray0cmap2[135] := 0.5294;
gray0cmap3[135] := 0.5294;
gray0cmap1[136] := 0.5333;
gray0cmap2[136] := 0.5333;
gray0cmap3[136] := 0.5333;
gray0cmap1[137] := 0.5373;
gray0cmap2[137] := 0.5373;
gray0cmap3[137] := 0.5373;
gray0cmap1[138] := 0.5412;
gray0cmap2[138] := 0.5412;
gray0cmap3[138] := 0.5412;
gray0cmap1[139] := 0.5451;
gray0cmap2[139] := 0.5451;
gray0cmap3[139] := 0.5451;
gray0cmap1[140] := 0.5490;
gray0cmap2[140] := 0.5490;
gray0cmap3[140] := 0.5490;
gray0cmap1[141] := 0.5529;
gray0cmap2[141] := 0.5529;
gray0cmap3[141] := 0.5529;
gray0cmap1[142] := 0.5569;
gray0cmap2[142] := 0.5569;
gray0cmap3[142] := 0.5569;
gray0cmap1[143] := 0.5608;
gray0cmap2[143] := 0.5608;
gray0cmap3[143] := 0.5608;
gray0cmap1[144] := 0.5647;
gray0cmap2[144] := 0.5647;
gray0cmap3[144] := 0.5647;
gray0cmap1[145] := 0.5686;
gray0cmap2[145] := 0.5686;
gray0cmap3[145] := 0.5686;
gray0cmap1[146] := 0.5725;
gray0cmap2[146] := 0.5725;
gray0cmap3[146] := 0.5725;
gray0cmap1[147] := 0.5765;
gray0cmap2[147] := 0.5765;
gray0cmap3[147] := 0.5765;
gray0cmap1[148] := 0.5804;
gray0cmap2[148] := 0.5804;
gray0cmap3[148] := 0.5804;
gray0cmap1[149] := 0.5843;
gray0cmap2[149] := 0.5843;
gray0cmap3[149] := 0.5843;
gray0cmap1[150] := 0.5882;
gray0cmap2[150] := 0.5882;
gray0cmap3[150] := 0.5882;
gray0cmap1[151] := 0.5922;
gray0cmap2[151] := 0.5922;
gray0cmap3[151] := 0.5922;
gray0cmap1[152] := 0.5961;
gray0cmap2[152] := 0.5961;
gray0cmap3[152] := 0.5961;
gray0cmap1[153] := 0.6000;
gray0cmap2[153] := 0.6000;
gray0cmap3[153] := 0.6000;
gray0cmap1[154] := 0.6039;
gray0cmap2[154] := 0.6039;
gray0cmap3[154] := 0.6039;
gray0cmap1[155] := 0.6078;
gray0cmap2[155] := 0.6078;
gray0cmap3[155] := 0.6078;
gray0cmap1[156] := 0.6118;
gray0cmap2[156] := 0.6118;
gray0cmap3[156] := 0.6118;
gray0cmap1[157] := 0.6157;
gray0cmap2[157] := 0.6157;
gray0cmap3[157] := 0.6157;
gray0cmap1[158] := 0.6196;
gray0cmap2[158] := 0.6196;
gray0cmap3[158] := 0.6196;
gray0cmap1[159] := 0.6235;
gray0cmap2[159] := 0.6235;
gray0cmap3[159] := 0.6235;
gray0cmap1[160] := 0.6275;
gray0cmap2[160] := 0.6275;
gray0cmap3[160] := 0.6275;
gray0cmap1[161] := 0.6314;
gray0cmap2[161] := 0.6314;
gray0cmap3[161] := 0.6314;
gray0cmap1[162] := 0.6353;
gray0cmap2[162] := 0.6353;
gray0cmap3[162] := 0.6353;
gray0cmap1[163] := 0.6392;
gray0cmap2[163] := 0.6392;
gray0cmap3[163] := 0.6392;
gray0cmap1[164] := 0.6431;
gray0cmap2[164] := 0.6431;
gray0cmap3[164] := 0.6431;
gray0cmap1[165] := 0.6471;
gray0cmap2[165] := 0.6471;
gray0cmap3[165] := 0.6471;
gray0cmap1[166] := 0.6510;
gray0cmap2[166] := 0.6510;
gray0cmap3[166] := 0.6510;
gray0cmap1[167] := 0.6549;
gray0cmap2[167] := 0.6549;
gray0cmap3[167] := 0.6549;
gray0cmap1[168] := 0.6588;
gray0cmap2[168] := 0.6588;
gray0cmap3[168] := 0.6588;
gray0cmap1[169] := 0.6627;
gray0cmap2[169] := 0.6627;
gray0cmap3[169] := 0.6627;
gray0cmap1[170] := 0.6667;
gray0cmap2[170] := 0.6667;
gray0cmap3[170] := 0.6667;
gray0cmap1[171] := 0.6706;
gray0cmap2[171] := 0.6706;
gray0cmap3[171] := 0.6706;
gray0cmap1[172] := 0.6745;
gray0cmap2[172] := 0.6745;
gray0cmap3[172] := 0.6745;
gray0cmap1[173] := 0.6784;
gray0cmap2[173] := 0.6784;
gray0cmap3[173] := 0.6784;
gray0cmap1[174] := 0.6824;
gray0cmap2[174] := 0.6824;
gray0cmap3[174] := 0.6824;
gray0cmap1[175] := 0.6863;
gray0cmap2[175] := 0.6863;
gray0cmap3[175] := 0.6863;
gray0cmap1[176] := 0.6902;
gray0cmap2[176] := 0.6902;
gray0cmap3[176] := 0.6902;
gray0cmap1[177] := 0.6941;
gray0cmap2[177] := 0.6941;
gray0cmap3[177] := 0.6941;
gray0cmap1[178] := 0.6980;
gray0cmap2[178] := 0.6980;
gray0cmap3[178] := 0.6980;
gray0cmap1[179] := 0.7020;
gray0cmap2[179] := 0.7020;
gray0cmap3[179] := 0.7020;
gray0cmap1[180] := 0.7059;
gray0cmap2[180] := 0.7059;
gray0cmap3[180] := 0.7059;
gray0cmap1[181] := 0.7098;
gray0cmap2[181] := 0.7098;
gray0cmap3[181] := 0.7098;
gray0cmap1[182] := 0.7137;
gray0cmap2[182] := 0.7137;
gray0cmap3[182] := 0.7137;
gray0cmap1[183] := 0.7176;
gray0cmap2[183] := 0.7176;
gray0cmap3[183] := 0.7176;
gray0cmap1[184] := 0.7216;
gray0cmap2[184] := 0.7216;
gray0cmap3[184] := 0.7216;
gray0cmap1[185] := 0.7255;
gray0cmap2[185] := 0.7255;
gray0cmap3[185] := 0.7255;
gray0cmap1[186] := 0.7294;
gray0cmap2[186] := 0.7294;
gray0cmap3[186] := 0.7294;
gray0cmap1[187] := 0.7333;
gray0cmap2[187] := 0.7333;
gray0cmap3[187] := 0.7333;
gray0cmap1[188] := 0.7373;
gray0cmap2[188] := 0.7373;
gray0cmap3[188] := 0.7373;
gray0cmap1[189] := 0.7412;
gray0cmap2[189] := 0.7412;
gray0cmap3[189] := 0.7412;
gray0cmap1[190] := 0.7451;
gray0cmap2[190] := 0.7451;
gray0cmap3[190] := 0.7451;
gray0cmap1[191] := 0.7490;
gray0cmap2[191] := 0.7490;
gray0cmap3[191] := 0.7490;
gray0cmap1[192] := 0.7529;
gray0cmap2[192] := 0.7529;
gray0cmap3[192] := 0.7529;
gray0cmap1[193] := 0.7569;
gray0cmap2[193] := 0.7569;
gray0cmap3[193] := 0.7569;
gray0cmap1[194] := 0.7608;
gray0cmap2[194] := 0.7608;
gray0cmap3[194] := 0.7608;
gray0cmap1[195] := 0.7647;
gray0cmap2[195] := 0.7647;
gray0cmap3[195] := 0.7647;
gray0cmap1[196] := 0.7686;
gray0cmap2[196] := 0.7686;
gray0cmap3[196] := 0.7686;
gray0cmap1[197] := 0.7725;
gray0cmap2[197] := 0.7725;
gray0cmap3[197] := 0.7725;
gray0cmap1[198] := 0.7765;
gray0cmap2[198] := 0.7765;
gray0cmap3[198] := 0.7765;
gray0cmap1[199] := 0.7804;
gray0cmap2[199] := 0.7804;
gray0cmap3[199] := 0.7804;
gray0cmap1[200] := 0.7843;
gray0cmap2[200] := 0.7843;
gray0cmap3[200] := 0.7843;
gray0cmap1[201] := 0.7882;
gray0cmap2[201] := 0.7882;
gray0cmap3[201] := 0.7882;
gray0cmap1[202] := 0.7922;
gray0cmap2[202] := 0.7922;
gray0cmap3[202] := 0.7922;
gray0cmap1[203] := 0.7961;
gray0cmap2[203] := 0.7961;
gray0cmap3[203] := 0.7961;
gray0cmap1[204] := 0.8000;
gray0cmap2[204] := 0.8000;
gray0cmap3[204] := 0.8000;
gray0cmap1[205] := 0.8039;
gray0cmap2[205] := 0.8039;
gray0cmap3[205] := 0.8039;
gray0cmap1[206] := 0.8078;
gray0cmap2[206] := 0.8078;
gray0cmap3[206] := 0.8078;
gray0cmap1[207] := 0.8118;
gray0cmap2[207] := 0.8118;
gray0cmap3[207] := 0.8118;
gray0cmap1[208] := 0.8157;
gray0cmap2[208] := 0.8157;
gray0cmap3[208] := 0.8157;
gray0cmap1[209] := 0.8196;
gray0cmap2[209] := 0.8196;
gray0cmap3[209] := 0.8196;
gray0cmap1[210] := 0.8235;
gray0cmap2[210] := 0.8235;
gray0cmap3[210] := 0.8235;
gray0cmap1[211] := 0.8275;
gray0cmap2[211] := 0.8275;
gray0cmap3[211] := 0.8275;
gray0cmap1[212] := 0.8314;
gray0cmap2[212] := 0.8314;
gray0cmap3[212] := 0.8314;
gray0cmap1[213] := 0.8353;
gray0cmap2[213] := 0.8353;
gray0cmap3[213] := 0.8353;
gray0cmap1[214] := 0.8392;
gray0cmap2[214] := 0.8392;
gray0cmap3[214] := 0.8392;
gray0cmap1[215] := 0.8431;
gray0cmap2[215] := 0.8431;
gray0cmap3[215] := 0.8431;
gray0cmap1[216] := 0.8471;
gray0cmap2[216] := 0.8471;
gray0cmap3[216] := 0.8471;
gray0cmap1[217] := 0.8510;
gray0cmap2[217] := 0.8510;
gray0cmap3[217] := 0.8510;
gray0cmap1[218] := 0.8549;
gray0cmap2[218] := 0.8549;
gray0cmap3[218] := 0.8549;
gray0cmap1[219] := 0.8588;
gray0cmap2[219] := 0.8588;
gray0cmap3[219] := 0.8588;
gray0cmap1[220] := 0.8627;
gray0cmap2[220] := 0.8627;
gray0cmap3[220] := 0.8627;
gray0cmap1[221] := 0.8667;
gray0cmap2[221] := 0.8667;
gray0cmap3[221] := 0.8667;
gray0cmap1[222] := 0.8706;
gray0cmap2[222] := 0.8706;
gray0cmap3[222] := 0.8706;
gray0cmap1[223] := 0.8745;
gray0cmap2[223] := 0.8745;
gray0cmap3[223] := 0.8745;
gray0cmap1[224] := 0.8784;
gray0cmap2[224] := 0.8784;
gray0cmap3[224] := 0.8784;
gray0cmap1[225] := 0.8824;
gray0cmap2[225] := 0.8824;
gray0cmap3[225] := 0.8824;
gray0cmap1[226] := 0.8863;
gray0cmap2[226] := 0.8863;
gray0cmap3[226] := 0.8863;
gray0cmap1[227] := 0.8902;
gray0cmap2[227] := 0.8902;
gray0cmap3[227] := 0.8902;
gray0cmap1[228] := 0.8941;
gray0cmap2[228] := 0.8941;
gray0cmap3[228] := 0.8941;
gray0cmap1[229] := 0.8980;
gray0cmap2[229] := 0.8980;
gray0cmap3[229] := 0.8980;
gray0cmap1[230] := 0.9020;
gray0cmap2[230] := 0.9020;
gray0cmap3[230] := 0.9020;
gray0cmap1[231] := 0.9059;
gray0cmap2[231] := 0.9059;
gray0cmap3[231] := 0.9059;
gray0cmap1[232] := 0.9098;
gray0cmap2[232] := 0.9098;
gray0cmap3[232] := 0.9098;
gray0cmap1[233] := 0.9137;
gray0cmap2[233] := 0.9137;
gray0cmap3[233] := 0.9137;
gray0cmap1[234] := 0.9176;
gray0cmap2[234] := 0.9176;
gray0cmap3[234] := 0.9176;
gray0cmap1[235] := 0.9216;
gray0cmap2[235] := 0.9216;
gray0cmap3[235] := 0.9216;
gray0cmap1[236] := 0.9255;
gray0cmap2[236] := 0.9255;
gray0cmap3[236] := 0.9255;
gray0cmap1[237] := 0.9294;
gray0cmap2[237] := 0.9294;
gray0cmap3[237] := 0.9294;
gray0cmap1[238] := 0.9333;
gray0cmap2[238] := 0.9333;
gray0cmap3[238] := 0.9333;
gray0cmap1[239] := 0.9373;
gray0cmap2[239] := 0.9373;
gray0cmap3[239] := 0.9373;
gray0cmap1[240] := 0.9412;
gray0cmap2[240] := 0.9412;
gray0cmap3[240] := 0.9412;
gray0cmap1[241] := 0.9451;
gray0cmap2[241] := 0.9451;
gray0cmap3[241] := 0.9451;
gray0cmap1[242] := 0.9490;
gray0cmap2[242] := 0.9490;
gray0cmap3[242] := 0.9490;
gray0cmap1[243] := 0.9529;
gray0cmap2[243] := 0.9529;
gray0cmap3[243] := 0.9529;
gray0cmap1[244] := 0.9569;
gray0cmap2[244] := 0.9569;
gray0cmap3[244] := 0.9569;
gray0cmap1[245] := 0.9608;
gray0cmap2[245] := 0.9608;
gray0cmap3[245] := 0.9608;
gray0cmap1[246] := 0.9647;
gray0cmap2[246] := 0.9647;
gray0cmap3[246] := 0.9647;
gray0cmap1[247] := 0.9686;
gray0cmap2[247] := 0.9686;
gray0cmap3[247] := 0.9686;
gray0cmap1[248] := 0.9725;
gray0cmap2[248] := 0.9725;
gray0cmap3[248] := 0.9725;
gray0cmap1[249] := 0.9765;
gray0cmap2[249] := 0.9765;
gray0cmap3[249] := 0.9765;
gray0cmap1[250] := 0.9804;
gray0cmap2[250] := 0.9804;
gray0cmap3[250] := 0.9804;
gray0cmap1[251] := 0.9843;
gray0cmap2[251] := 0.9843;
gray0cmap3[251] := 0.9843;
gray0cmap1[252] := 0.9882;
gray0cmap2[252] := 0.9882;
gray0cmap3[252] := 0.9882;
gray0cmap1[253] := 1.0;
gray0cmap2[253] := 0.0;
gray0cmap3[253] := 0.0;
gray0cmap1[254] := 1.0;
gray0cmap2[254] := 1.0;
gray0cmap3[254] := 0.0;
gray0cmap1[255] := 0.0;
gray0cmap2[255] := 1.000;
gray0cmap3[255] := 0.0;

gray1cmap1[0] := 1.0000;
gray1cmap2[0] := 1.0000;
gray1cmap3[0] := 1.0000;
gray1cmap1[1] := 0.9961;
gray1cmap2[1] := 0.9961;
gray1cmap3[1] := 0.9961;
gray1cmap1[2] := 0.9922;
gray1cmap2[2] := 0.9922;
gray1cmap3[2] := 0.9922;
gray1cmap1[3] := 0.9882;
gray1cmap2[3] := 0.9882;
gray1cmap3[3] := 0.9882;
gray1cmap1[4] := 0.9843;
gray1cmap2[4] := 0.9843;
gray1cmap3[4] := 0.9843;
gray1cmap1[5] := 0.9804;
gray1cmap2[5] := 0.9804;
gray1cmap3[5] := 0.9804;
gray1cmap1[6] := 0.9765;
gray1cmap2[6] := 0.9765;
gray1cmap3[6] := 0.9765;
gray1cmap1[7] := 0.9725;
gray1cmap2[7] := 0.9725;
gray1cmap3[7] := 0.9725;
gray1cmap1[8] := 0.9686;
gray1cmap2[8] := 0.9686;
gray1cmap3[8] := 0.9686;
gray1cmap1[9] := 0.9647;
gray1cmap2[9] := 0.9647;
gray1cmap3[9] := 0.9647;
gray1cmap1[10] := 0.9608;
gray1cmap2[10] := 0.9608;
gray1cmap3[10] := 0.9608;
gray1cmap1[11] := 0.9569;
gray1cmap2[11] := 0.9569;
gray1cmap3[11] := 0.9569;
gray1cmap1[12] := 0.9529;
gray1cmap2[12] := 0.9529;
gray1cmap3[12] := 0.9529;
gray1cmap1[13] := 0.9490;
gray1cmap2[13] := 0.9490;
gray1cmap3[13] := 0.9490;
gray1cmap1[14] := 0.9451;
gray1cmap2[14] := 0.9451;
gray1cmap3[14] := 0.9451;
gray1cmap1[15] := 0.9412;
gray1cmap2[15] := 0.9412;
gray1cmap3[15] := 0.9412;
gray1cmap1[16] := 0.9373;
gray1cmap2[16] := 0.9373;
gray1cmap3[16] := 0.9373;
gray1cmap1[17] := 0.9333;
gray1cmap2[17] := 0.9333;
gray1cmap3[17] := 0.9333;
gray1cmap1[18] := 0.9294;
gray1cmap2[18] := 0.9294;
gray1cmap3[18] := 0.9294;
gray1cmap1[19] := 0.9255;
gray1cmap2[19] := 0.9255;
gray1cmap3[19] := 0.9255;
gray1cmap1[20] := 0.9216;
gray1cmap2[20] := 0.9216;
gray1cmap3[20] := 0.9216;
gray1cmap1[21] := 0.9176;
gray1cmap2[21] := 0.9176;
gray1cmap3[21] := 0.9176;
gray1cmap1[22] := 0.9137;
gray1cmap2[22] := 0.9137;
gray1cmap3[22] := 0.9137;
gray1cmap1[23] := 0.9098;
gray1cmap2[23] := 0.9098;
gray1cmap3[23] := 0.9098;
gray1cmap1[24] := 0.9059;
gray1cmap2[24] := 0.9059;
gray1cmap3[24] := 0.9059;
gray1cmap1[25] := 0.9020;
gray1cmap2[25] := 0.9020;
gray1cmap3[25] := 0.9020;
gray1cmap1[26] := 0.8980;
gray1cmap2[26] := 0.8980;
gray1cmap3[26] := 0.8980;
gray1cmap1[27] := 0.8941;
gray1cmap2[27] := 0.8941;
gray1cmap3[27] := 0.8941;
gray1cmap1[28] := 0.8902;
gray1cmap2[28] := 0.8902;
gray1cmap3[28] := 0.8902;
gray1cmap1[29] := 0.8863;
gray1cmap2[29] := 0.8863;
gray1cmap3[29] := 0.8863;
gray1cmap1[30] := 0.8824;
gray1cmap2[30] := 0.8824;
gray1cmap3[30] := 0.8824;
gray1cmap1[31] := 0.8784;
gray1cmap2[31] := 0.8784;
gray1cmap3[31] := 0.8784;
gray1cmap1[32] := 0.8745;
gray1cmap2[32] := 0.8745;
gray1cmap3[32] := 0.8745;
gray1cmap1[33] := 0.8706;
gray1cmap2[33] := 0.8706;
gray1cmap3[33] := 0.8706;
gray1cmap1[34] := 0.8667;
gray1cmap2[34] := 0.8667;
gray1cmap3[34] := 0.8667;
gray1cmap1[35] := 0.8627;
gray1cmap2[35] := 0.8627;
gray1cmap3[35] := 0.8627;
gray1cmap1[36] := 0.8588;
gray1cmap2[36] := 0.8588;
gray1cmap3[36] := 0.8588;
gray1cmap1[37] := 0.8549;
gray1cmap2[37] := 0.8549;
gray1cmap3[37] := 0.8549;
gray1cmap1[38] := 0.8510;
gray1cmap2[38] := 0.8510;
gray1cmap3[38] := 0.8510;
gray1cmap1[39] := 0.8471;
gray1cmap2[39] := 0.8471;
gray1cmap3[39] := 0.8471;
gray1cmap1[40] := 0.8431;
gray1cmap2[40] := 0.8431;
gray1cmap3[40] := 0.8431;
gray1cmap1[41] := 0.8392;
gray1cmap2[41] := 0.8392;
gray1cmap3[41] := 0.8392;
gray1cmap1[42] := 0.8353;
gray1cmap2[42] := 0.8353;
gray1cmap3[42] := 0.8353;
gray1cmap1[43] := 0.8314;
gray1cmap2[43] := 0.8314;
gray1cmap3[43] := 0.8314;
gray1cmap1[44] := 0.8275;
gray1cmap2[44] := 0.8275;
gray1cmap3[44] := 0.8275;
gray1cmap1[45] := 0.8235;
gray1cmap2[45] := 0.8235;
gray1cmap3[45] := 0.8235;
gray1cmap1[46] := 0.8196;
gray1cmap2[46] := 0.8196;
gray1cmap3[46] := 0.8196;
gray1cmap1[47] := 0.8157;
gray1cmap2[47] := 0.8157;
gray1cmap3[47] := 0.8157;
gray1cmap1[48] := 0.8118;
gray1cmap2[48] := 0.8118;
gray1cmap3[48] := 0.8118;
gray1cmap1[49] := 0.8078;
gray1cmap2[49] := 0.8078;
gray1cmap3[49] := 0.8078;
gray1cmap1[50] := 0.8039;
gray1cmap2[50] := 0.8039;
gray1cmap3[50] := 0.8039;
gray1cmap1[51] := 0.8000;
gray1cmap2[51] := 0.8000;
gray1cmap3[51] := 0.8000;
gray1cmap1[52] := 0.7961;
gray1cmap2[52] := 0.7961;
gray1cmap3[52] := 0.7961;
gray1cmap1[53] := 0.7922;
gray1cmap2[53] := 0.7922;
gray1cmap3[53] := 0.7922;
gray1cmap1[54] := 0.7882;
gray1cmap2[54] := 0.7882;
gray1cmap3[54] := 0.7882;
gray1cmap1[55] := 0.7843;
gray1cmap2[55] := 0.7843;
gray1cmap3[55] := 0.7843;
gray1cmap1[56] := 0.7804;
gray1cmap2[56] := 0.7804;
gray1cmap3[56] := 0.7804;
gray1cmap1[57] := 0.7765;
gray1cmap2[57] := 0.7765;
gray1cmap3[57] := 0.7765;
gray1cmap1[58] := 0.7725;
gray1cmap2[58] := 0.7725;
gray1cmap3[58] := 0.7725;
gray1cmap1[59] := 0.7686;
gray1cmap2[59] := 0.7686;
gray1cmap3[59] := 0.7686;
gray1cmap1[60] := 0.7647;
gray1cmap2[60] := 0.7647;
gray1cmap3[60] := 0.7647;
gray1cmap1[61] := 0.7608;
gray1cmap2[61] := 0.7608;
gray1cmap3[61] := 0.7608;
gray1cmap1[62] := 0.7569;
gray1cmap2[62] := 0.7569;
gray1cmap3[62] := 0.7569;
gray1cmap1[63] := 0.7529;
gray1cmap2[63] := 0.7529;
gray1cmap3[63] := 0.7529;
gray1cmap1[64] := 0.7490;
gray1cmap2[64] := 0.7490;
gray1cmap3[64] := 0.7490;
gray1cmap1[65] := 0.7451;
gray1cmap2[65] := 0.7451;
gray1cmap3[65] := 0.7451;
gray1cmap1[66] := 0.7412;
gray1cmap2[66] := 0.7412;
gray1cmap3[66] := 0.7412;
gray1cmap1[67] := 0.7373;
gray1cmap2[67] := 0.7373;
gray1cmap3[67] := 0.7373;
gray1cmap1[68] := 0.7333;
gray1cmap2[68] := 0.7333;
gray1cmap3[68] := 0.7333;
gray1cmap1[69] := 0.7294;
gray1cmap2[69] := 0.7294;
gray1cmap3[69] := 0.7294;
gray1cmap1[70] := 0.7255;
gray1cmap2[70] := 0.7255;
gray1cmap3[70] := 0.7255;
gray1cmap1[71] := 0.7216;
gray1cmap2[71] := 0.7216;
gray1cmap3[71] := 0.7216;
gray1cmap1[72] := 0.7176;
gray1cmap2[72] := 0.7176;
gray1cmap3[72] := 0.7176;
gray1cmap1[73] := 0.7137;
gray1cmap2[73] := 0.7137;
gray1cmap3[73] := 0.7137;
gray1cmap1[74] := 0.7098;
gray1cmap2[74] := 0.7098;
gray1cmap3[74] := 0.7098;
gray1cmap1[75] := 0.7059;
gray1cmap2[75] := 0.7059;
gray1cmap3[75] := 0.7059;
gray1cmap1[76] := 0.7020;
gray1cmap2[76] := 0.7020;
gray1cmap3[76] := 0.7020;
gray1cmap1[77] := 0.6980;
gray1cmap2[77] := 0.6980;
gray1cmap3[77] := 0.6980;
gray1cmap1[78] := 0.6941;
gray1cmap2[78] := 0.6941;
gray1cmap3[78] := 0.6941;
gray1cmap1[79] := 0.6902;
gray1cmap2[79] := 0.6902;
gray1cmap3[79] := 0.6902;
gray1cmap1[80] := 0.6863;
gray1cmap2[80] := 0.6863;
gray1cmap3[80] := 0.6863;
gray1cmap1[81] := 0.6824;
gray1cmap2[81] := 0.6824;
gray1cmap3[81] := 0.6824;
gray1cmap1[82] := 0.6784;
gray1cmap2[82] := 0.6784;
gray1cmap3[82] := 0.6784;
gray1cmap1[83] := 0.6745;
gray1cmap2[83] := 0.6745;
gray1cmap3[83] := 0.6745;
gray1cmap1[84] := 0.6706;
gray1cmap2[84] := 0.6706;
gray1cmap3[84] := 0.6706;
gray1cmap1[85] := 0.6667;
gray1cmap2[85] := 0.6667;
gray1cmap3[85] := 0.6667;
gray1cmap1[86] := 0.6627;
gray1cmap2[86] := 0.6627;
gray1cmap3[86] := 0.6627;
gray1cmap1[87] := 0.6588;
gray1cmap2[87] := 0.6588;
gray1cmap3[87] := 0.6588;
gray1cmap1[88] := 0.6549;
gray1cmap2[88] := 0.6549;
gray1cmap3[88] := 0.6549;
gray1cmap1[89] := 0.6510;
gray1cmap2[89] := 0.6510;
gray1cmap3[89] := 0.6510;
gray1cmap1[90] := 0.6471;
gray1cmap2[90] := 0.6471;
gray1cmap3[90] := 0.6471;
gray1cmap1[91] := 0.6431;
gray1cmap2[91] := 0.6431;
gray1cmap3[91] := 0.6431;
gray1cmap1[92] := 0.6392;
gray1cmap2[92] := 0.6392;
gray1cmap3[92] := 0.6392;
gray1cmap1[93] := 0.6353;
gray1cmap2[93] := 0.6353;
gray1cmap3[93] := 0.6353;
gray1cmap1[94] := 0.6314;
gray1cmap2[94] := 0.6314;
gray1cmap3[94] := 0.6314;
gray1cmap1[95] := 0.6275;
gray1cmap2[95] := 0.6275;
gray1cmap3[95] := 0.6275;
gray1cmap1[96] := 0.6235;
gray1cmap2[96] := 0.6235;
gray1cmap3[96] := 0.6235;
gray1cmap1[97] := 0.6196;
gray1cmap2[97] := 0.6196;
gray1cmap3[97] := 0.6196;
gray1cmap1[98] := 0.6157;
gray1cmap2[98] := 0.6157;
gray1cmap3[98] := 0.6157;
gray1cmap1[99] := 0.6118;
gray1cmap2[99] := 0.6118;
gray1cmap3[99] := 0.6118;
gray1cmap1[100] := 0.6078;
gray1cmap2[100] := 0.6078;
gray1cmap3[100] := 0.6078;
gray1cmap1[101] := 0.6039;
gray1cmap2[101] := 0.6039;
gray1cmap3[101] := 0.6039;
gray1cmap1[102] := 0.6000;
gray1cmap2[102] := 0.6000;
gray1cmap3[102] := 0.6000;
gray1cmap1[103] := 0.5961;
gray1cmap2[103] := 0.5961;
gray1cmap3[103] := 0.5961;
gray1cmap1[104] := 0.5922;
gray1cmap2[104] := 0.5922;
gray1cmap3[104] := 0.5922;
gray1cmap1[105] := 0.5882;
gray1cmap2[105] := 0.5882;
gray1cmap3[105] := 0.5882;
gray1cmap1[106] := 0.5843;
gray1cmap2[106] := 0.5843;
gray1cmap3[106] := 0.5843;
gray1cmap1[107] := 0.5804;
gray1cmap2[107] := 0.5804;
gray1cmap3[107] := 0.5804;
gray1cmap1[108] := 0.5765;
gray1cmap2[108] := 0.5765;
gray1cmap3[108] := 0.5765;
gray1cmap1[109] := 0.5725;
gray1cmap2[109] := 0.5725;
gray1cmap3[109] := 0.5725;
gray1cmap1[110] := 0.5686;
gray1cmap2[110] := 0.5686;
gray1cmap3[110] := 0.5686;
gray1cmap1[111] := 0.5647;
gray1cmap2[111] := 0.5647;
gray1cmap3[111] := 0.5647;
gray1cmap1[112] := 0.5608;
gray1cmap2[112] := 0.5608;
gray1cmap3[112] := 0.5608;
gray1cmap1[113] := 0.5569;
gray1cmap2[113] := 0.5569;
gray1cmap3[113] := 0.5569;
gray1cmap1[114] := 0.5529;
gray1cmap2[114] := 0.5529;
gray1cmap3[114] := 0.5529;
gray1cmap1[115] := 0.5490;
gray1cmap2[115] := 0.5490;
gray1cmap3[115] := 0.5490;
gray1cmap1[116] := 0.5451;
gray1cmap2[116] := 0.5451;
gray1cmap3[116] := 0.5451;
gray1cmap1[117] := 0.5412;
gray1cmap2[117] := 0.5412;
gray1cmap3[117] := 0.5412;
gray1cmap1[118] := 0.5373;
gray1cmap2[118] := 0.5373;
gray1cmap3[118] := 0.5373;
gray1cmap1[119] := 0.5333;
gray1cmap2[119] := 0.5333;
gray1cmap3[119] := 0.5333;
gray1cmap1[120] := 0.5294;
gray1cmap2[120] := 0.5294;
gray1cmap3[120] := 0.5294;
gray1cmap1[121] := 0.5255;
gray1cmap2[121] := 0.5255;
gray1cmap3[121] := 0.5255;
gray1cmap1[122] := 0.5216;
gray1cmap2[122] := 0.5216;
gray1cmap3[122] := 0.5216;
gray1cmap1[123] := 0.5176;
gray1cmap2[123] := 0.5176;
gray1cmap3[123] := 0.5176;
gray1cmap1[124] := 0.5137;
gray1cmap2[124] := 0.5137;
gray1cmap3[124] := 0.5137;
gray1cmap1[125] := 0.5098;
gray1cmap2[125] := 0.5098;
gray1cmap3[125] := 0.5098;
gray1cmap1[126] := 0.5059;
gray1cmap2[126] := 0.5059;
gray1cmap3[126] := 0.5059;
gray1cmap1[127] := 0.5020;
gray1cmap2[127] := 0.5020;
gray1cmap3[127] := 0.5020;
gray1cmap1[128] := 0.4980;
gray1cmap2[128] := 0.4980;
gray1cmap3[128] := 0.4980;
gray1cmap1[129] := 0.4941;
gray1cmap2[129] := 0.4941;
gray1cmap3[129] := 0.4941;
gray1cmap1[130] := 0.4902;
gray1cmap2[130] := 0.4902;
gray1cmap3[130] := 0.4902;
gray1cmap1[131] := 0.4863;
gray1cmap2[131] := 0.4863;
gray1cmap3[131] := 0.4863;
gray1cmap1[132] := 0.4824;
gray1cmap2[132] := 0.4824;
gray1cmap3[132] := 0.4824;
gray1cmap1[133] := 0.4784;
gray1cmap2[133] := 0.4784;
gray1cmap3[133] := 0.4784;
gray1cmap1[134] := 0.4745;
gray1cmap2[134] := 0.4745;
gray1cmap3[134] := 0.4745;
gray1cmap1[135] := 0.4706;
gray1cmap2[135] := 0.4706;
gray1cmap3[135] := 0.4706;
gray1cmap1[136] := 0.4667;
gray1cmap2[136] := 0.4667;
gray1cmap3[136] := 0.4667;
gray1cmap1[137] := 0.4627;
gray1cmap2[137] := 0.4627;
gray1cmap3[137] := 0.4627;
gray1cmap1[138] := 0.4588;
gray1cmap2[138] := 0.4588;
gray1cmap3[138] := 0.4588;
gray1cmap1[139] := 0.4549;
gray1cmap2[139] := 0.4549;
gray1cmap3[139] := 0.4549;
gray1cmap1[140] := 0.4510;
gray1cmap2[140] := 0.4510;
gray1cmap3[140] := 0.4510;
gray1cmap1[141] := 0.4471;
gray1cmap2[141] := 0.4471;
gray1cmap3[141] := 0.4471;
gray1cmap1[142] := 0.4431;
gray1cmap2[142] := 0.4431;
gray1cmap3[142] := 0.4431;
gray1cmap1[143] := 0.4392;
gray1cmap2[143] := 0.4392;
gray1cmap3[143] := 0.4392;
gray1cmap1[144] := 0.4353;
gray1cmap2[144] := 0.4353;
gray1cmap3[144] := 0.4353;
gray1cmap1[145] := 0.4314;
gray1cmap2[145] := 0.4314;
gray1cmap3[145] := 0.4314;
gray1cmap1[146] := 0.4275;
gray1cmap2[146] := 0.4275;
gray1cmap3[146] := 0.4275;
gray1cmap1[147] := 0.4235;
gray1cmap2[147] := 0.4235;
gray1cmap3[147] := 0.4235;
gray1cmap1[148] := 0.4196;
gray1cmap2[148] := 0.4196;
gray1cmap3[148] := 0.4196;
gray1cmap1[149] := 0.4157;
gray1cmap2[149] := 0.4157;
gray1cmap3[149] := 0.4157;
gray1cmap1[150] := 0.4118;
gray1cmap2[150] := 0.4118;
gray1cmap3[150] := 0.4118;
gray1cmap1[151] := 0.4078;
gray1cmap2[151] := 0.4078;
gray1cmap3[151] := 0.4078;
gray1cmap1[152] := 0.4039;
gray1cmap2[152] := 0.4039;
gray1cmap3[152] := 0.4039;
gray1cmap1[153] := 0.4000;
gray1cmap2[153] := 0.4000;
gray1cmap3[153] := 0.4000;
gray1cmap1[154] := 0.3961;
gray1cmap2[154] := 0.3961;
gray1cmap3[154] := 0.3961;
gray1cmap1[155] := 0.3922;
gray1cmap2[155] := 0.3922;
gray1cmap3[155] := 0.3922;
gray1cmap1[156] := 0.3882;
gray1cmap2[156] := 0.3882;
gray1cmap3[156] := 0.3882;
gray1cmap1[157] := 0.3843;
gray1cmap2[157] := 0.3843;
gray1cmap3[157] := 0.3843;
gray1cmap1[158] := 0.3804;
gray1cmap2[158] := 0.3804;
gray1cmap3[158] := 0.3804;
gray1cmap1[159] := 0.3765;
gray1cmap2[159] := 0.3765;
gray1cmap3[159] := 0.3765;
gray1cmap1[160] := 0.3725;
gray1cmap2[160] := 0.3725;
gray1cmap3[160] := 0.3725;
gray1cmap1[161] := 0.3686;
gray1cmap2[161] := 0.3686;
gray1cmap3[161] := 0.3686;
gray1cmap1[162] := 0.3647;
gray1cmap2[162] := 0.3647;
gray1cmap3[162] := 0.3647;
gray1cmap1[163] := 0.3608;
gray1cmap2[163] := 0.3608;
gray1cmap3[163] := 0.3608;
gray1cmap1[164] := 0.3569;
gray1cmap2[164] := 0.3569;
gray1cmap3[164] := 0.3569;
gray1cmap1[165] := 0.3529;
gray1cmap2[165] := 0.3529;
gray1cmap3[165] := 0.3529;
gray1cmap1[166] := 0.3490;
gray1cmap2[166] := 0.3490;
gray1cmap3[166] := 0.3490;
gray1cmap1[167] := 0.3451;
gray1cmap2[167] := 0.3451;
gray1cmap3[167] := 0.3451;
gray1cmap1[168] := 0.3412;
gray1cmap2[168] := 0.3412;
gray1cmap3[168] := 0.3412;
gray1cmap1[169] := 0.3373;
gray1cmap2[169] := 0.3373;
gray1cmap3[169] := 0.3373;
gray1cmap1[170] := 0.3333;
gray1cmap2[170] := 0.3333;
gray1cmap3[170] := 0.3333;
gray1cmap1[171] := 0.3294;
gray1cmap2[171] := 0.3294;
gray1cmap3[171] := 0.3294;
gray1cmap1[172] := 0.3255;
gray1cmap2[172] := 0.3255;
gray1cmap3[172] := 0.3255;
gray1cmap1[173] := 0.3216;
gray1cmap2[173] := 0.3216;
gray1cmap3[173] := 0.3216;
gray1cmap1[174] := 0.3176;
gray1cmap2[174] := 0.3176;
gray1cmap3[174] := 0.3176;
gray1cmap1[175] := 0.3137;
gray1cmap2[175] := 0.3137;
gray1cmap3[175] := 0.3137;
gray1cmap1[176] := 0.3098;
gray1cmap2[176] := 0.3098;
gray1cmap3[176] := 0.3098;
gray1cmap1[177] := 0.3059;
gray1cmap2[177] := 0.3059;
gray1cmap3[177] := 0.3059;
gray1cmap1[178] := 0.3020;
gray1cmap2[178] := 0.3020;
gray1cmap3[178] := 0.3020;
gray1cmap1[179] := 0.2980;
gray1cmap2[179] := 0.2980;
gray1cmap3[179] := 0.2980;
gray1cmap1[180] := 0.2941;
gray1cmap2[180] := 0.2941;
gray1cmap3[180] := 0.2941;
gray1cmap1[181] := 0.2902;
gray1cmap2[181] := 0.2902;
gray1cmap3[181] := 0.2902;
gray1cmap1[182] := 0.2863;
gray1cmap2[182] := 0.2863;
gray1cmap3[182] := 0.2863;
gray1cmap1[183] := 0.2824;
gray1cmap2[183] := 0.2824;
gray1cmap3[183] := 0.2824;
gray1cmap1[184] := 0.2784;
gray1cmap2[184] := 0.2784;
gray1cmap3[184] := 0.2784;
gray1cmap1[185] := 0.2745;
gray1cmap2[185] := 0.2745;
gray1cmap3[185] := 0.2745;
gray1cmap1[186] := 0.2706;
gray1cmap2[186] := 0.2706;
gray1cmap3[186] := 0.2706;
gray1cmap1[187] := 0.2667;
gray1cmap2[187] := 0.2667;
gray1cmap3[187] := 0.2667;
gray1cmap1[188] := 0.2627;
gray1cmap2[188] := 0.2627;
gray1cmap3[188] := 0.2627;
gray1cmap1[189] := 0.2588;
gray1cmap2[189] := 0.2588;
gray1cmap3[189] := 0.2588;
gray1cmap1[190] := 0.2549;
gray1cmap2[190] := 0.2549;
gray1cmap3[190] := 0.2549;
gray1cmap1[191] := 0.2510;
gray1cmap2[191] := 0.2510;
gray1cmap3[191] := 0.2510;
gray1cmap1[192] := 0.2471;
gray1cmap2[192] := 0.2471;
gray1cmap3[192] := 0.2471;
gray1cmap1[193] := 0.2431;
gray1cmap2[193] := 0.2431;
gray1cmap3[193] := 0.2431;
gray1cmap1[194] := 0.2392;
gray1cmap2[194] := 0.2392;
gray1cmap3[194] := 0.2392;
gray1cmap1[195] := 0.2353;
gray1cmap2[195] := 0.2353;
gray1cmap3[195] := 0.2353;
gray1cmap1[196] := 0.2314;
gray1cmap2[196] := 0.2314;
gray1cmap3[196] := 0.2314;
gray1cmap1[197] := 0.2275;
gray1cmap2[197] := 0.2275;
gray1cmap3[197] := 0.2275;
gray1cmap1[198] := 0.2235;
gray1cmap2[198] := 0.2235;
gray1cmap3[198] := 0.2235;
gray1cmap1[199] := 0.2196;
gray1cmap2[199] := 0.2196;
gray1cmap3[199] := 0.2196;
gray1cmap1[200] := 0.2157;
gray1cmap2[200] := 0.2157;
gray1cmap3[200] := 0.2157;
gray1cmap1[201] := 0.2118;
gray1cmap2[201] := 0.2118;
gray1cmap3[201] := 0.2118;
gray1cmap1[202] := 0.2078;
gray1cmap2[202] := 0.2078;
gray1cmap3[202] := 0.2078;
gray1cmap1[203] := 0.2039;
gray1cmap2[203] := 0.2039;
gray1cmap3[203] := 0.2039;
gray1cmap1[204] := 0.2000;
gray1cmap2[204] := 0.2000;
gray1cmap3[204] := 0.2000;
gray1cmap1[205] := 0.1961;
gray1cmap2[205] := 0.1961;
gray1cmap3[205] := 0.1961;
gray1cmap1[206] := 0.1922;
gray1cmap2[206] := 0.1922;
gray1cmap3[206] := 0.1922;
gray1cmap1[207] := 0.1882;
gray1cmap2[207] := 0.1882;
gray1cmap3[207] := 0.1882;
gray1cmap1[208] := 0.1843;
gray1cmap2[208] := 0.1843;
gray1cmap3[208] := 0.1843;
gray1cmap1[209] := 0.1804;
gray1cmap2[209] := 0.1804;
gray1cmap3[209] := 0.1804;
gray1cmap1[210] := 0.1765;
gray1cmap2[210] := 0.1765;
gray1cmap3[210] := 0.1765;
gray1cmap1[211] := 0.1725;
gray1cmap2[211] := 0.1725;
gray1cmap3[211] := 0.1725;
gray1cmap1[212] := 0.1686;
gray1cmap2[212] := 0.1686;
gray1cmap3[212] := 0.1686;
gray1cmap1[213] := 0.1647;
gray1cmap2[213] := 0.1647;
gray1cmap3[213] := 0.1647;
gray1cmap1[214] := 0.1608;
gray1cmap2[214] := 0.1608;
gray1cmap3[214] := 0.1608;
gray1cmap1[215] := 0.1569;
gray1cmap2[215] := 0.1569;
gray1cmap3[215] := 0.1569;
gray1cmap1[216] := 0.1529;
gray1cmap2[216] := 0.1529;
gray1cmap3[216] := 0.1529;
gray1cmap1[217] := 0.1490;
gray1cmap2[217] := 0.1490;
gray1cmap3[217] := 0.1490;
gray1cmap1[218] := 0.1451;
gray1cmap2[218] := 0.1451;
gray1cmap3[218] := 0.1451;
gray1cmap1[219] := 0.1412;
gray1cmap2[219] := 0.1412;
gray1cmap3[219] := 0.1412;
gray1cmap1[220] := 0.1373;
gray1cmap2[220] := 0.1373;
gray1cmap3[220] := 0.1373;
gray1cmap1[221] := 0.1333;
gray1cmap2[221] := 0.1333;
gray1cmap3[221] := 0.1333;
gray1cmap1[222] := 0.1294;
gray1cmap2[222] := 0.1294;
gray1cmap3[222] := 0.1294;
gray1cmap1[223] := 0.1255;
gray1cmap2[223] := 0.1255;
gray1cmap3[223] := 0.1255;
gray1cmap1[224] := 0.1216;
gray1cmap2[224] := 0.1216;
gray1cmap3[224] := 0.1216;
gray1cmap1[225] := 0.1176;
gray1cmap2[225] := 0.1176;
gray1cmap3[225] := 0.1176;
gray1cmap1[226] := 0.1137;
gray1cmap2[226] := 0.1137;
gray1cmap3[226] := 0.1137;
gray1cmap1[227] := 0.1098;
gray1cmap2[227] := 0.1098;
gray1cmap3[227] := 0.1098;
gray1cmap1[228] := 0.1059;
gray1cmap2[228] := 0.1059;
gray1cmap3[228] := 0.1059;
gray1cmap1[229] := 0.1020;
gray1cmap2[229] := 0.1020;
gray1cmap3[229] := 0.1020;
gray1cmap1[230] := 0.0980;
gray1cmap2[230] := 0.0980;
gray1cmap3[230] := 0.0980;
gray1cmap1[231] := 0.0941;
gray1cmap2[231] := 0.0941;
gray1cmap3[231] := 0.0941;
gray1cmap1[232] := 0.0902;
gray1cmap2[232] := 0.0902;
gray1cmap3[232] := 0.0902;
gray1cmap1[233] := 0.0863;
gray1cmap2[233] := 0.0863;
gray1cmap3[233] := 0.0863;
gray1cmap1[234] := 0.0824;
gray1cmap2[234] := 0.0824;
gray1cmap3[234] := 0.0824;
gray1cmap1[235] := 0.0784;
gray1cmap2[235] := 0.0784;
gray1cmap3[235] := 0.0784;
gray1cmap1[236] := 0.0745;
gray1cmap2[236] := 0.0745;
gray1cmap3[236] := 0.0745;
gray1cmap1[237] := 0.0706;
gray1cmap2[237] := 0.0706;
gray1cmap3[237] := 0.0706;
gray1cmap1[238] := 0.0667;
gray1cmap2[238] := 0.0667;
gray1cmap3[238] := 0.0667;
gray1cmap1[239] := 0.0627;
gray1cmap2[239] := 0.0627;
gray1cmap3[239] := 0.0627;
gray1cmap1[240] := 0.0588;
gray1cmap2[240] := 0.0588;
gray1cmap3[240] := 0.0588;
gray1cmap1[241] := 0.0549;
gray1cmap2[241] := 0.0549;
gray1cmap3[241] := 0.0549;
gray1cmap1[242] := 0.0510;
gray1cmap2[242] := 0.0510;
gray1cmap3[242] := 0.0510;
gray1cmap1[243] := 0.0471;
gray1cmap2[243] := 0.0471;
gray1cmap3[243] := 0.0471;
gray1cmap1[244] := 0.0431;
gray1cmap2[244] := 0.0431;
gray1cmap3[244] := 0.0431;
gray1cmap1[245] := 0.0392;
gray1cmap2[245] := 0.0392;
gray1cmap3[245] := 0.0392;
gray1cmap1[246] := 0.0353;
gray1cmap2[246] := 0.0353;
gray1cmap3[246] := 0.0353;
gray1cmap1[247] := 0.0314;
gray1cmap2[247] := 0.0314;
gray1cmap3[247] := 0.0314;
gray1cmap1[248] := 0.0275;
gray1cmap2[248] := 0.0275;
gray1cmap3[248] := 0.0275;
gray1cmap1[249] := 0.0235;
gray1cmap2[249] := 0.0235;
gray1cmap3[249] := 0.0235;
gray1cmap1[250] := 0.0196;
gray1cmap2[250] := 0.0196;
gray1cmap3[250] := 0.0196;
gray1cmap1[251] := 0.0157;
gray1cmap2[251] := 0.0157;
gray1cmap3[251] := 0.0157;
gray1cmap1[252] := 0.0118;
gray1cmap2[252] := 0.0118;
gray1cmap3[252] := 0.0118;
gray1cmap1[253] := 1.0;
gray1cmap2[253] := 0.0;
gray1cmap3[253] := 0.0;
gray1cmap1[254] := 1.0;
gray1cmap2[254] := 1.0;
gray1cmap3[254] := 0.0;
gray1cmap1[255] := 0.0;
gray1cmap2[255] := 1.000;
gray1cmap3[255] := 0.0;
end;
end.

